define ProfilerImagesM = {
"1" : ["gui/Cellphone/Profiler/Profile-M-Level1-1.png", "gui/Cellphone/Profiler/Profile-M-Level1-2.png", "gui/Cellphone/Profiler/Profile-M-Level1-3.png"],
"2" : ["gui/Cellphone/Profiler/Profile-M-Level1-1.png", "gui/Cellphone/Profiler/Profile-M-Level1-2.png", "gui/Cellphone/Profiler/Profile-M-Level1-3.png"],
"3" : ["gui/Cellphone/Profiler/Profile-M-Level3-1.png", "gui/Cellphone/Profiler/Profile-M-Level3-2.png", "gui/Cellphone/Profiler/Profile-M-Level3-3.png"],
"4" : ["gui/Cellphone/Profiler/Profile-M-Level3-1.png", "gui/Cellphone/Profiler/Profile-M-Level3-2.png", "gui/Cellphone/Profiler/Profile-M-Level4-3.png"],
"5" : ["gui/Cellphone/Profiler/Profile-M-Level3-1.png", "gui/Cellphone/Profiler/Profile-M-Level3-2.png", "gui/Cellphone/Profiler/Profile-M-Level4-3.png"],
"6" : ["gui/Cellphone/Profiler/Profile-M-Level3-1.png", "gui/Cellphone/Profiler/Profile-M-Level3-2.png", "gui/Cellphone/Profiler/Profile-M-Level4-3.png"]
}

define ProfilerImagesS = {
"1" : ["gui/Cellphone/Profiler/Profile-S-Level1-1.png", "gui/Cellphone/Profiler/Profile-S-Level1-2.png", "gui/Cellphone/Profiler/Profile-S-Level1-3.png"],
"2" : ["gui/Cellphone/Profiler/Profile-S-Level1-1.png", "gui/Cellphone/Profiler/Profile-S-Level1-2.png", "gui/Cellphone/Profiler/Profile-S-Level1-3.png"],
"3" : ["gui/Cellphone/Profiler/Profile-S-Level3-1.png", "gui/Cellphone/Profiler/Profile-S-Level3-2.png", "gui/Cellphone/Profiler/Profile-S-Level3-3.png"],
"4" : ["gui/Cellphone/Profiler/Profile-S-Level3-1.png", "gui/Cellphone/Profiler/Profile-S-Level3-2.png", "gui/Cellphone/Profiler/Profile-S-Level4-3.png"],
"5" : ["gui/Cellphone/Profiler/Profile-S-Level3-1.png", "gui/Cellphone/Profiler/Profile-S-Level3-2.png", "gui/Cellphone/Profiler/Profile-S-Level4-3.png"],
"6" : ["gui/Cellphone/Profiler/Profile-S-Level3-1.png", "gui/Cellphone/Profiler/Profile-S-Level3-2.png", "gui/Cellphone/Profiler/Profile-S-Level4-3.png"]
}

init -1 python:
    import math

    class App():
        def __init__(self, Name, Image, Function = None):
            self.Name = Name
            self.Image = Image
            self.Function = Function if Function != None else Function(initNothing)

    def initMessage(who, timed, level=0):
        global GalleryTextsUnlocked
        if who in ["M", "S"] and level == 0:
            level = Sarah.Relationship

        if TextsMess[who][level] == {}:
            return TextsMess[who][level-1][timed]
        else:
            return TextsMess[who][level][timed]

    def initSetGalleryTexts(who, level):
        global GalleryTextsUnlocked

        if TextsMess[who][level] == {}:
            GalleryTextsUnlocked[str(level-1) + who + str(Hour) + Timeday] = True
        else:
            if WeekDay in ["Saturday", "Sunday"] and str(Hour) + Timeday + "-Wknd" in TextsMess[who][level].keys():
                GalleryTextsUnlocked[str(level) + who + str(Hour) + Timeday + "-Wknd"] = True
            elif WeekDay in ["Monday"] and str(Hour) + Timeday + "-Mon" in TextsMess[who][level].keys():
                GalleryTextsUnlocked[str(level) + who + str(Hour) + Timeday + "-Mon"] = True
            else:
                GalleryTextsUnlocked[str(level) + who + str(Hour) + Timeday] = True

    def initCheckMessGallery(i, PGalleryWho, t):

        tempTnew = t

        if t.startswith("Weekend-"):
            tempTnew = t.replace("Weekend-", "") + "-Wknd"

        return str(i) + PGalleryWho + tempTnew
