init -1 python:
    import math
    if persistent.alphadialogue is None:
        persistent.alphadialogue = 0.82

    def initJumpTo(Label, Hide=None):
        global Location
        global _skipping
        global config
        global PreviousLocation
        global LocationList
        global SpaIntro

        initGallery()
        if Label in LocationList:
            renpy.end_replay()
            if Label in ["PBedroom", "Overview", "Map", "Office", "School", "NHome", "Store", "Spa", "Cabin"]:
                PreviousLocation = Label
        Location = Label
        if Hide != None:
            renpy.hide_screen(Hide)
        initHideMenus()
        config.skipping = None
        if Label in LocationList:
            initMusicMSStop()
            _skipping = False
            initEventHandler()
        else:
            if not preferences.mute["music"]:
                initMusicMSPlay(Label)
            if Label.startswith("SpaInviteLvl") and Label.endswith("DayOut"):
                if SpaIntro == False:
                    SpaIntro = True
                initHideScreens("SOverviewA", "ScreenBG")
                renpy.music.stop("musicMain")
            _skipping = True
        renpy.jump(Label)

    def BGScreen(From, What, Action="Screen"):
        _skipping = False
        config.skipping = None
        _window_hide()
        renpy.show_screen("ScreenBG", From, What, Action)
        renpy.pause(hard=True)

    def initHideScreens(*args):
        global LocationList
        for Locations in LocationList:
            if Locations == Location:
                pass
            else:
                renpy.hide_screen("S" + Locations)
        for Screens in args:
            renpy.hide_screen(Screens)

    def initShowScreens(*args):
        initHideScreens()
        for ToShow in args:
            renpy.show_screen(ToShow)

    def initHideMenus():
        global Location
        global LocationList
        global quick_menu
        if Location in LocationList:
            quick_menu = False
        else:
            quick_menu = True
        initHideScreens()
        renpy.hide_screen("Spycams")

    def initChoicesListed(Level, CheckList, Prefix, Suffix):
        for i in CheckList:
            if Prefix + str(i) + Suffix in ChoicesMadeList:
                if Prefix + str(Level) + Suffix not in ChoicesMadeList:
                    ChoicesMadeList.append(Prefix + str(Level) + Suffix)

    def initChangeStr(DiaStr, ind=0):
        if "*" in DiaStr:
            AstList = []
            CharList = []
            for i in range(0, len(DiaStr)):
                if DiaStr[i] == "*":
                    AstList.append(i)
                CharList.append(DiaStr[i])
            for i in AstList:
                if (ind%2 == 0):
                    CharList.insert(i + ind, "{i}{color=#A9A9A9}")
                else:
                    CharList.insert(i + ind + 1, "{/color}{/i}")
                ind += 1
            DiaStrNew = ""
            for i in range(0, len(CharList)):
                DiaStrNew += CharList[i]
            return DiaStrNew
        else:
            return DiaStr

    def initNothing():
        return
