define ObjectsLvl1 = {
"MWardrobe" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MWardrobe")],
"MBed" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MBed")],
"MLaptop" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MComputer")],
"MPicture" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MPicture")],
"MShelves" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MShelves")],
"MDrawer" : [Function(initHideScreens, "SMBedroom"), Function(initJumpTo, "MDrawer")],
"SDrawer" : [Function(initHideScreens, "SSBedroom"), Function(initJumpTo, "SDrawers")],
"SBed" : [Function(initHideScreens, "SSBedroom"), Function(initJumpTo, "SBed")],
"SLaptop" : [Function(initHideScreens, "SSBedroom"), Function(initJumpTo, "SComputer")],
"SShelves" : [Function(initHideScreens, "SSBedroom"), Function(initJumpTo, "SShelves")],
"SMrBun" : [Function(initHideScreens, "SSBedroom"), Function(initJumpTo, "SMrBun")],
"SLaptopUnlocked" : [Function(initHideScreens, "SSBedroom"), Function(initShowScreens, "SSComputer")],
"MLaptopUnlocked" : [Function(initHideScreens, "SMBedroom"), Function(initShowScreens, "SMComputer")]
}

define EventsLvl1 = {
"7AM" : Events(Toilet="ToiletLevel1_7AM", Bathroom="BathroomLevel1_7AM"),
"8AM" : Events(Toilet="ToiletLevel1_8AM", Bathroom="BathroomLevel1_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel1_9AM", MBedroom="MBedroomLevel1_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl1_2PM"),
"3PM" : Events(Pool="PoolLvl1_3PM"),
"4PM" : Events(Pool="PoolLvl1_4PM"),
"5PM" : Events(SBedroom="SBedroomLevel1_5PM", Kitchen="KitchenLevel1_5PM"),
"6PM" : Events(Lounge="LoungeLvl1_6PM"),
"7PM" : Events(Bathroom="BathroomLevel1_7PM", Kitchen="KitchenLevel1_7PM"),
"8PM" : Events(Bathroom="BathroomLevel1_8PM", Lounge="LoungeLvl1_8PM"),
"9PM" : Events(MBedroom="MBedroomLevel1_9PM", Lounge="LoungeLvl1_9PM"),
"10PM" : Events(MBedroom="MBedroomLevel1_10PM", SBedroom="SBedroomLevel1_10PM"),
"11PM" : Events(MBedroom="MBedroomLevel1_11PM", SBedroom="SBedroomLevel1_11PM"),
"12AM" : Events(MBedroom="MBedroomLevel1_12AM", SBedroom="SBedroomLevel1_12AM")
}

define EventsLvl2 = {
"7AM" : Events(Toilet="ToiletLevel2_7AM", Bathroom="BathroomLevel2_7AM"),
"8AM" : Events(Toilet="ToiletLevel2_8AM", Bathroom="BathroomLevel2_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel2_9AM", MBedroom="MBedroomLevel2_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl2_2PM"),
"3PM" : Events(Pool="PoolLvl2_3PM"),
"4PM" : Events(Pool="PoolLvl2_4PM"),
"5PM" : Events(SBedroom="SBedroomLevel2_5PM", Kitchen="KitchenLevel1_5PM"),
"6PM" : Events(Lounge="LoungeLvl2_6PM"),
"7PM" : Events(Kitchen="KitchenLevel1_7PM", Bathroom="BathroomLevel1_7PM"),
"8PM" : Events(Lounge="LoungeLvl2_8PM", Bathroom="BathroomLevel1_8PM"),
"9PM" : Events(Lounge="LoungeLvl1_9PM", MBedroom="MBedroomLevel1_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel2_10PM", MBedroom="MBedroomLevel2_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel1_11PM", MBedroom="MBedroomLevel1_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel1_12AM", MBedroom="MBedroomLevel1_12AM")
}

define EventsLvl3 = {
"7AM" : Events(Toilet="ToiletLevel3_7AM", Bathroom="BathroomLevel3_7AM"),
"8AM" : Events(Toilet="ToiletLevel3_8AM", Bathroom="BathroomLevel3_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel3_9AM", MBedroom="MBedroomLevel3_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl3_2PM"),
"3PM" : Events(Pool="PoolLvl3_3PM"),
"4PM" : Events(Pool="PoolLvl3_4PM"),
"5PM" : Events(Kitchen="KitchenLevel3_5PM", SBedroom="SBedroomLevel3_5PM"),
"6PM" : Events(Lounge="LoungeLvl3_6PM"),
"7PM" : Events(Kitchen="KitchenLevel3_7PM", Bathroom="BathroomLevel3_7PM"),
"8PM" : Events(Lounge="LoungeLvl3_8PM", Bathroom="BathroomLevel3_8PM"),
"9PM" : Events(Lounge="LoungeLvl3_9PM", MBedroom="MBedroomLevel3_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel3_10PM", MBedroom="MBedroomLevel3_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel3_11PM", MBedroom="MBedroomLevel3_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel3_12AM", MBedroom="MBedroomLevel3_12AM")
}

define EventsLvl4 = {
"7AM" : Events(Toilet="ToiletLevel4_7AM", Bathroom="BathroomLevel4_7AM"),
"8AM" : Events(Toilet="ToiletLevel4_8AM", Bathroom="BathroomLevel4_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel4_9AM", MBedroom="MBedroomLevel4_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl4_2PM"),
"3PM" : Events(Pool="PoolLvl4_3PM"),
"4PM" : Events(Pool="PoolLvl4_4PM"),
"5PM" : Events(Kitchen="KitchenLevel4_5PM", SBedroom="SBedroomLevel4_5PM"),
"6PM" : Events(Lounge="LoungeLvl4_6PM"),
"7PM" : Events(Kitchen="KitchenLevel4_7PM", Bathroom="BathroomLevel4_7PM"),
"8PM" : Events(Lounge="LoungeLvl4_8PM", Bathroom="BathroomLevel4_8PM"),
"9PM" : Events(Lounge="LoungeLvl4_9PM", MBedroom="MBedroomLevel4_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel4_10PM", MBedroom="MBedroomLevel4_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel4_11PM", MBedroom="MBedroomLevel4_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel4_12AM", MBedroom="MBedroomLevel4_12AM")
}

define EventsLvl5 = {
"7AM" : Events(Toilet="ToiletLevel5_7AM", Bathroom="BathroomLevel5_7AM"),
"8AM" : Events(Toilet="ToiletLevel5_8AM", Bathroom="BathroomLevel5_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel5_9AM", MBedroom="MBedroomLevel5_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl5_2PM"),
"3PM" : Events(Pool="PoolLvl5_3PM"),
"4PM" : Events(Pool="PoolLvl5_4PM"),
"5PM" : Events(Kitchen="KitchenLevel5_5PM", SBedroom="SBedroomLevel5_5PM"),
"6PM" : Events(Lounge="LoungeLvl5_6PM"),
"7PM" : Events(Kitchen="KitchenLevel5_7PM", Bathroom="BathroomLevel5_7PM"),
"8PM" : Events(Lounge="LoungeLvl5_8PM", Bathroom="BathroomLevel5_8PM"),
"9PM" : Events(Lounge="LoungeLvl5_9PM", MBedroom="MBedroomLevel5_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel5_10PM", MBedroom="MBedroomLevel5_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel5_11PM", MBedroom="MBedroomLevel5_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel5_12AM", MBedroom="MBedroomLevel5_12AM")
}

define EventsLvl6 = {
"7AM" : Events(Toilet="ToiletLevel6_7AM", Bathroom="BathroomLevel6_7AM"),
"8AM" : Events(Toilet="ToiletLevel6_8AM", Bathroom="BathroomLevel6_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel6_9AM", MBedroom="MBedroomLevel6_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl6_2PM"),
"3PM" : Events(Pool="PoolLvl6_3PM"),
"4PM" : Events(Pool="PoolLvl6_4PM"),
"5PM" : Events(Kitchen="KitchenLevel6_5PM", SBedroom="SBedroomLevel6_5PM"),
"6PM" : Events(Lounge="LoungeLvl6_6PM"),
"7PM" : Events(Kitchen="KitchenLevel6_7PM", Bathroom="BathroomLevel6_7PM"),
"8PM" : Events(Lounge="LoungeLvl6_8PM", Bathroom="BathroomLevel6_8PM"),
"9PM" : Events(Lounge="LoungeLvl6_9PM", MBedroom="MBedroomLevel6_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel6_10PM", MBedroom="MBedroomLevel6_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel6_11PM", MBedroom="MBedroomLevel6_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel6_12AM", MBedroom="MBedroomLevel6_12AM")
}

define EventsLvl7 = {
"7AM" : Events(Toilet="ToiletLevel7_7AM", Bathroom="BathroomLevel7_7AM"),
"8AM" : Events(Toilet="ToiletLevel7_8AM", Bathroom="BathroomLevel7_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel7_9AM", MBedroom="MBedroomLevel7_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl7_2PM"),
"3PM" : Events(Pool="PoolLvl7_3PM"),
"4PM" : Events(Pool="PoolLvl7_4PM"),
"5PM" : Events(Kitchen="KitchenLevel7_5PM", SBedroom="SBedroomLevel7_5PM"),
"6PM" : Events(Lounge="LoungeLvl7_6PM"),
"7PM" : Events(Kitchen="KitchenLevel7_7PM", Bathroom="BathroomLevel7_7PM"),
"8PM" : Events(Lounge="LoungeLvl7_8PM", Bathroom="BathroomLevel7_8PM"),
"9PM" : Events(Lounge="LoungeLvl7_9PM", MBedroom="MBedroomLevel7_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel7_10PM", MBedroom="MBedroomLevel7_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel7_11PM", MBedroom="MBedroomLevel7_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel7_12AM", MBedroom="MBedroomLevel7_12AM")
}

define EventsLvl8 = {
"7AM" : Events(Toilet="ToiletLevel8_7AM", Bathroom="BathroomLevel8_7AM"),
"8AM" : Events(Toilet="ToiletLevel8_8AM", Bathroom="BathroomLevel8_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel8_9AM", MBedroom="MBedroomLevel8_9AM"),
"10AM" : Events(SBedroom="SBedroomLevel8_10AM", MBedroom="MBedroomLevel8_10AM"),
"11AM" : Events(SBedroom="SBedroomLevel8_11AM", MBedroom="MBedroomLevel8_11AM"),
"12PM" : Events(SBedroom="SBedroomLevel8_12PM", MBedroom="MBedroomLevel8_12PM"),
"1PM" : Events(SBedroom="SBedroomLevel8_1PM", MBedroom="MBedroomLevel8_1PM"),
"2PM" : Events(Pool="PoolLvl8_2PM"),
"3PM" : Events(Pool="PoolLvl8_3PM"),
"4PM" : Events(Pool="PoolLvl8_4PM"),
"5PM" : Events(Kitchen="KitchenLevel8_5PM", SBedroom="SBedroomLevel8_5PM"),
"6PM" : Events(Lounge="LoungeLvl8_6PM"),
"7PM" : Events(Kitchen="KitchenLevel8_7PM", Bathroom="BathroomLevel8_7PM"),
"8PM" : Events(Lounge="LoungeLvl8_8PM", Bathroom="BathroomLevel8_8PM"),
"9PM" : Events(Lounge="LoungeLvl8_9PM", MBedroom="MBedroomLevel8_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel8_10PM", MBedroom="MBedroomLevel8_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel8_11PM", MBedroom="MBedroomLevel8_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel8_12AM", MBedroom="MBedroomLevel8_12AM")
}

define EventsLvl9 = {
"7AM" : Events(Toilet="ToiletLevel9_7AM", Bathroom="BathroomLevel9_7AM"),
"8AM" : Events(Toilet="ToiletLevel9_8AM", Bathroom="BathroomLevel9_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel9_9AM", MBedroom="MBedroomLevel9_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl9_2PM"),
"3PM" : Events(Pool="PoolLvl9_3PM"),
"4PM" : Events(Pool="PoolLvl9_4PM"),
"5PM" : Events(Kitchen="KitchenLevel9_5PM", SBedroom="SBedroomLevel9_5PM"),
"6PM" : Events(Lounge="LoungeLvl9_6PM"),
"7PM" : Events(Kitchen="KitchenLevel9_7PM", Bathroom="BathroomLevel9_7PM"),
"8PM" : Events(Lounge="LoungeLvl9_8PM", Bathroom="BathroomLevel9_8PM"),
"9PM" : Events(Lounge="LoungeLvl9_9PM", MBedroom="MBedroomLevel9_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel9_10PM", MBedroom="MBedroomLevel9_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel9_11PM", MBedroom="MBedroomLevel9_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel9_12AM", MBedroom="MBedroomLevel9_12AM")
}

define EventsLvl10 = {
"7AM" : Events(Toilet="ToiletLevel9_7AM", Bathroom="BathroomLevel9_7AM"),
"8AM" : Events(Toilet="ToiletLevel9_8AM", Bathroom="BathroomLevel9_8AM"),
"9AM" : Events(SBedroom="SBedroomLevel9_9AM", MBedroom="MBedroomLevel9_9AM"),
"10AM" : Events(), "11AM" : Events(), "12PM" : Events(), "1PM" : Events(),
"2PM" : Events(Pool="PoolLvl9_2PM"),
"3PM" : Events(Pool="PoolLvl9_3PM"),
"4PM" : Events(Pool="PoolLvl9_4PM"),
"5PM" : Events(Kitchen="KitchenLevel9_5PM", SBedroom="SBedroomLevel9_5PM"),
"6PM" : Events(Lounge="LoungeLvl9_6PM"),
"7PM" : Events(Kitchen="KitchenLevel9_7PM", Bathroom="BathroomLevel9_7PM"),
"8PM" : Events(Lounge="LoungeLvl9_8PM", Bathroom="BathroomLevel9_8PM"),
"9PM" : Events(Lounge="LoungeLvl9_9PM", MBedroom="MBedroomLevel9_9PM"),
"10PM" : Events(SBedroom="SBedroomLevel9_10PM", MBedroom="MBedroomLevel9_10PM"),
"11PM" : Events(SBedroom="SBedroomLevel9_11PM", MBedroom="MBedroomLevel9_11PM"),
"12AM" : Events(SBedroom="SBedroomLevel9_12AM", MBedroom="MBedroomLevel9_12AM")
}

define WkndEventsLvl1 = {
"9AM" : Events(MBedroom="MBedroomLevel1_9AMWknd", SBedroom="SBedroomLevel1_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel1_10AMWknd", SBedroom="SBedroomLevel1_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel1_11AMWknd"),
"12PM" : Events(Pool="PoolLvl1_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl1_1PMWknd", SBedroom="SBedroomLevel1_1PMWknd")
}

define WkndEventsLvl2 = {
"9AM" : Events(MBedroom="MBedroomLevel2_9AMWknd", SBedroom="SBedroomLevel2_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel2_10AMWknd", SBedroom="SBedroomLevel2_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel2_11AMWknd"),
"12PM" : Events(Pool="PoolLvl2_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl2_1PMWknd", SBedroom="SBedroomLevel2_1PMWknd")
}

define WkndEventsLvl3 = {
"9AM" : Events(MBedroom="MBedroomLevel3_9AMWknd", SBedroom="SBedroomLevel3_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel3_10AMWknd", SBedroom="SBedroomLevel3_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel3_11AMWknd"),
"12PM" : Events(Pool="PoolLvl3_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl3_1PMWknd", SBedroom="SBedroomLevel3_1PMWknd")
}

define WkndEventsLvl4 = {
"9AM" : Events(MBedroom="MBedroomLevel4_9AMWknd", SBedroom="SBedroomLevel4_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel4_10AMWknd", SBedroom="SBedroomLevel4_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel4_11AMWknd"),
"12PM" : Events(Pool="PoolLvl4_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl4_1PMWknd", SBedroom="SBedroomLevel4_1PMWknd")
}

define WkndEventsLvl5 = {
"9AM" : Events(MBedroom="MBedroomLevel5_9AMWknd", SBedroom="SBedroomLevel5_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel5_10AMWknd", SBedroom="SBedroomLevel5_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel5_11AMWknd"),
"12PM" : Events(Pool="PoolLvl5_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl5_1PMWknd", SBedroom="SBedroomLevel5_1PMWknd")
}

define WkndEventsLvl6 = {
"9AM" : Events(MBedroom="MBedroomLevel6_9AMWknd", SBedroom="SBedroomLevel6_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel6_10AMWknd", SBedroom="SBedroomLevel6_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel6_11AMWknd"),
"12PM" : Events(Pool="PoolLvl6_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl6_1PMWknd", SBedroom="SBedroomLevel6_1PMWknd")
}

define WkndEventsLvl7 = {
"9AM" : Events(MBedroom="MBedroomLevel7_9AMWknd", SBedroom="SBedroomLevel7_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel7_10AMWknd", SBedroom="SBedroomLevel7_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel7_11AMWknd"),
"12PM" : Events(Pool="PoolLvl7_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl7_1PMWknd", SBedroom="SBedroomLevel7_1PMWknd")
}

define WkndEventsLvl8 = {
"9AM" : Events(MBedroom="MBedroomLevel8_9AMWknd", SBedroom="SBedroomLevel8_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel8_10AMWknd", SBedroom="SBedroomLevel8_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel8_11AMWknd"),
"12PM" : Events(Lounge="LoungeLvl8_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl8_1PMWknd", SBedroom="SBedroomLevel8_1PMWknd")
}

define WkndEventsLvl9 = {
"9AM" : Events(MBedroom="MBedroomLevel9_9AMWknd", SBedroom="SBedroomLevel9_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel9_10AMWknd", SBedroom="SBedroomLevel9_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel9_11AMWknd"),
"12PM" : Events(Lounge="LoungeLvl9_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl9_1PMWknd", SBedroom="SBedroomLevel9_1PMWknd")
}

define WkndEventsLvl10 = {
"9AM" : Events(MBedroom="MBedroomLevel9_9AMWknd", SBedroom="SBedroomLevel9_9AMWknd"),
"10AM" : Events(MBedroom="MBedroomLevel9_10AMWknd", SBedroom="SBedroomLevel9_10AMWknd"),
"11AM" : Events(Kitchen="KitchenLevel9_11AMWknd"),
"12PM" : Events(Lounge="LoungeLvl9_12PMWknd"),
"1PM" : Events(Lounge="LoungeLvl9_1PMWknd", SBedroom="SBedroomLevel9_1PMWknd")
}

define CabinEventsDay1 = {
"0" : Events(),
"1" : Events(CabLounge="Day1CabinAfternoon"),
"2" : Events(CabLounge="Day1CabinEvening"),
"3" : Events(CabBedroom="Day1CabinNight")
}

define CabinEventsDay2 = {
"0" : Events(CabKitchen="Day2CabinMorning"),
"1" : Events(CabLounge="Day2CabinAfternoon"),
"2" : Events(CabLounge="Day2CabinEvening"),
"3" : Events(CabBedroom="Day2CabinNight")
}

define CabinEventsDay3 = {
"0" : Events(CabBedroom="Day3CabinMorning"),
"1" : Events(CabLounge="Day3CabinAfternoon"),
"2" : Events(CabLounge="Day3CabinEvening"),
"3" : Events(CabBedroom="Day3CabinNight")
}

define CabinEventsDay4 = {
"0" : Events(CabBedroom="Day4CabinMorning"),
"1" : Events(CabLounge="Day4CabinAfternoon"),
"2" : Events(CabLounge="Day4CabinOutro"),
"3" : Events()
}

define SpaEventsLvl1 = {
"10AM" : Events(SpaCounter="KESpaLevel1_10AM"),
"11AM": Events(SpaCounter="KESpaLevel1_11AM"),
"12PM" : Events(SpaMassage="LUSpaLevel1_12PM"),
"1PM" : Events(SpaMassage="LUSpaLevel1_1PM", SpaSauna="KESpaLevel1_1PM"),
"2PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaCounter="KESpaLevel1_2PM"),
"3PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaSauna="KESpaLevel1_3PM"),
"4PM" : Events(SpaMassage="LUSpaLevel1_1PM", SpaOutside="KESpaLevel1_4PM"),
"5PM" : Events(SpaSauna="LUSpaLevel1_5PM", SpaJacuzzi="KESpaLevel1_5PM")
}

define SpaEventsLvl2 = {
"10AM" : Events(SpaCounter="KESpaLevel2_10AM"),
"11AM": Events(SpaCounter="KESpaLevel2_11AM"),
"12PM" : Events(SpaMassage="LUSpaLevel1_12PM"),
"1PM" : Events(SpaMassage="LUSpaLevel2_1PM", SpaPool="KESpaLevel2_1PM"),
"2PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaJacuzzi="KESpaLevel2_2PM"),
"3PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaSauna="KESpaLevel2_3PM"),
"4PM" : Events(SpaMassage="LUSpaLevel2_1PM", SpaSauna="KESpaLevel2_4PM"),
"5PM" : Events(SpaSauna="LUSpaLevel2_5PM", SpaJacuzzi="KESpaLevel2_5PM")
}

define SpaEventsLvl3 = {
"10AM" : Events(SpaCounter="KESpaLevel3_10AM"),
"11AM" : Events(SpaOutside="KESpaLevel3_11AM"),
"12PM" : Events(SpaMassage="LUSpaLevel1_12PM"),
"1PM" : Events(SpaMassage="LUSpaLevel2_1PM", SpaSauna="KESpaLevel3_1PM"),
"2PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaOutside="KESpaLevel3_2PM"),
"3PM" : Events(SpaMassage="LUSpaLevel1_12PM", SpaSauna="KESpaLevel3_3PM"),
"4PM" : Events(SpaMassage="LUSpaLevel2_1PM", SpaCounter="KESpaLevel3_4PM"),
"5PM" : Events(SpaSauna="LUSpaLevel2_5PM", SpaJacuzzi="KESpaLevel3_5PM")
}

define OfficeEventsLvl1 = {
"10AM" : Events(OMOffice="MOfficeLevel1_10AM", ORestroom="COfficeLevel1_10AM", OReception="JOfficeLevel1_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel1_11AM", OCubicles="COfficeLevel1_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel1_12PM", OBreakroom="JOfficeLevel1_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel1_1PM", ORestroom="JOfficeLevel1_1PM", OBreakroom="COfficeLevel1_1PM"),
"2PM" : Events(OReception="JOfficeLevel1_2PM"),
"3PM" : Events(OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl2 = {
"10AM" : Events(OMOffice="MOfficeLevel2_10AM", ORestroom="COfficeLevel2_10AM", OReception="JOfficeLevel2_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel2_11AM", OCubicles="COfficeLevel2_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel2_12PM", OBreakroom="JOfficeLevel2_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel2_1PM", ORestroom="JOfficeLevel2_1PM", OBreakroom="COfficeLevel2_1PM"),
"3PM" : Events(OReception="JOfficeLevel2_3PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OReception="JOfficeLevel2_3PM")
}

define OfficeEventsLvl3 = {
"10AM" : Events(OMOffice="MOfficeLevel3_10AM", OReception="JOfficeLevel3_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel3_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel3_12PM", OBreakroom="JOfficeLevel3_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel3_1PM", ORestroom="JOfficeLevel3_1PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OReception="JOfficeLevel3_3PM", OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl4 = {
"10AM" : Events(OMOffice="MOfficeLevel4_10AM", OReception="JOfficeLevel4_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel4_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel4_12PM", OBreakroom="JOfficeLevel4_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel4_1PM", ORestroom="JOfficeLevel4_1PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OReception="JOfficeLevel4_3PM", OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl5 = {
"10AM" : Events(OMOffice="MOfficeLevel5_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel5_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel5_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel5_1PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl6 = {
"10AM" : Events(OMOffice="MOfficeLevel6_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel6_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel6_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel6_1PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl7 = {
"10AM" : Events(OMOffice="MOfficeLevel7_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel7_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel7_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel7_1PM"),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl8 = {
"10AM" : Events(),
"11AM" : Events(),
"12PM" : Events(),
"1PM" : Events(),
"2PM" : Events(OMOffice="EmptyOfficeL2"),
"3PM" : Events(OMOffice="EmptyOfficeL2")
}

define OfficeEventsLvl9 = {
"10AM" : Events(OMOffice="MSOfficeLevel9_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel9_11AM", OMOffice="SOfficeLevel9_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel9_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel9_1PM"),
"2PM" : Events(),
"3PM" : Events()
}

define OfficeEventsLvl10 = {
"10AM" : Events(OMOffice="MSOfficeLevel9_10AM"),
"11AM" : Events(ORestroom="MOfficeLevel9_11AM", OMOffice="SOfficeLevel9_11AM"),
"12PM" : Events(OMOffice="MOfficeLevel9_12PM"),
"1PM" : Events(OMOffice="MOfficeLevel9_1PM"),
"2PM" : Events(),
"3PM" : Events()
}

define SchoolEventsLvl1 = {
"9AM" : Events(SClassroom="TSchoolLevel1_9AM"),
"10AM" : Events(SHallway="SSchoolLevel1_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel1_11AM", STeachersLounge="SISchoolLevel1_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel1_12PM", SStudyRoom="ROSchoolLevel1_12PM"),
"1PM" : Events(SShowers="SSchoolLevel1_1PM", SCanteen="TSchoolLevel1_1PM", SHallway="ROSchoolLevel1_1PM"), #SCanteen="SISchoolLevel1_1PM"
"2PM" : Events(STeachersLounge="TSchoolLevel1_2PM", SShowers="SISchoolLevel1_2PM"),
"3PM" : Events(SClassroom="EmptySchool12"),
"4PM" : Events(SClassroom="TSchoolLevel1_3PM"),
"5PM" : Events(SClassroom="EmptySchool12")
}

define SchoolEventsLvl2 = {
"9AM" : Events(SClassroom="TSchoolLevel2_9AM"),
"10AM" : Events(SHallway="SSchoolLevel2_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel2_11AM", STeachersLounge="SISchoolLevel2_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel2_12PM", SStudyRoom="ROSchoolLevel2_12PM"),
"1PM" : Events(SShowers="SSchoolLevel2_1PM", SCanteen="TSchoolLevel2_1PM", SStudyRoom="SISchoolLevel2_1PM", SHallway="ROSchoolLevel2_1PM"),
"2PM" : Events(STeachersLounge="TSchoolLevel2_2PM", SShowers="SISchoolLevel2_2PM"),
"3PM" : Events(SClassroom="TSchoolLevel2_3PM", SCanteen="SISchoolLevel2_3PM"),
"4PM" : Events(SClassroom="EmptySchool12"),
"5PM" : Events(SClassroom="EmptySchool12")
}

define SchoolEventsLvl3 = {
"9AM" : Events(SClassroom="TSchoolLevel3_9AM"),
"10AM" : Events(SHallway="SSchoolLevel3_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel3_11AM", STeachersLounge="SISchoolLevel3_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel3_12PM", SStudyRoom="ROSchoolLevel3_12PM"),
"1PM" : Events(SShowers="SSchoolLevel3_1PM", SCanteen="TSchoolLevel3_1PM", SStudyRoom="SISchoolLevel3_1PM", SHallway="ROSchoolLevel3_1PM"),
"2PM" : Events(STeachersLounge="TSchoolLevel3_2PM"),
"3PM" : Events(SHallway="TSchoolLevel3_3PM", SCanteen="SISchoolLevel3_3PM"),
"4PM" : Events(SClassroom="TSchoolLevel3_4PM"),
"5PM" : Events(SClassroom="TSchoolLevel3_5PM")
}

define SchoolEventsLvl4 = {
"9AM" : Events(SClassroom="TSchoolLevel4_9AM"),
"10AM" : Events(SHallway="SSchoolLevel4_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel4_11AM", STeachersLounge="SISchoolLevel4_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel4_12PM"),
"1PM" : Events(SShowers="SSchoolLevel4_1PM", SCanteen="TSchoolLevel4_1PM", SStudyRoom="SISchoolLevel4_1PM"),
"2PM" : Events(STeachersLounge="TSchoolLevel4_2PM"),
"3PM" : Events(SStudyRoom="TSchoolLevel4_3PM", SShowers="SISchoolLevel4_3PM"),
"4PM" : Events(SHallway="TSchoolLevel4_4PM"),
"5PM" : Events(SClassroom="TSchoolLevel4_5PM")
}

define SchoolEventsLvl5 = {
"10AM" : Events(SHallway="SSchoolLevel5_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel5_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel5_12PM"),
"1PM" : Events(SShowers="SSchoolLevel5_1PM"),
}

define SchoolEventsLvl6 = {
"10AM" : Events(SHallway="SSchoolLevel6_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel6_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel6_12PM"),
"1PM" : Events(SShowers="SSchoolLevel6_1PM"),
}

define SchoolEventsLvl7 = {
"10AM" : Events(SHallway="SSchoolLevel7_10AM"),
"11AM" : Events(SClassroom="SSchoolLevel7_11AM"),
"12PM" : Events(SCanteen="SSchoolLevel7_12PM"),
"1PM" : Events(SShowers="SSchoolLevel7_1PM"),
}

define SchoolEventsLvl8 = {
"10AM" : Events(),
"11AM" : Events(),
"12PM" : Events(),
"1PM" : Events(SShowers="SSchoolLevel7_1PM"),
}

define SchoolEventsLvl9 = {
"10AM" : Events(),
"11AM" : Events(),
"12PM" : Events(SCanteen="SSchoolLevel9_12PM"),
"1PM" : Events(SShowers="SSchoolLevel7_1PM", SClassroom="SSchoolLevel9_1PM"),
}

define SchoolEventsLvl10 = {
"10AM" : Events(),
"11AM" : Events(),
"12PM" : Events(SCanteen="SSchoolLevel9_12PM"),
"1PM" : Events(SShowers="SSchoolLevel7_1PM", SClassroom="SSchoolLevel9_1PM"),
}

define StoreEventsLvl1 = {
"12PM" : Events(Store="LAStoreLevel1_12PM"),
"1PM" : Events(Store="LAStoreLevel1_1PM"),
"2PM" : Events(Store="LAStoreLevel1_2PM"),
"3PM" : Events(Store="LAStoreLevel1_3PM"),
"4PM" : Events(Store="LAStoreLevel1_4PM"),
"5PM" : Events(Store="LAStoreLevel1_5PM"),
"6PM" : Events(Store="LAStoreLevel1_6PM"),
}

define StoreEventsLvl2 = {
"11AM" : Events(Store="LAStoreLevel2_11AM"),
"12PM" : Events(Store="LAStoreLevel2_12PM"),
"1PM" : Events(Store="LAStoreLevel2_1PM"),
"2PM" : Events(Store="LAStoreLevel2_2PM"),
"3PM" : Events(Store="LAStoreLevel2_3PM"),
"4PM" : Events(Store="LAStoreLevel2_4PM"),
"5PM" : Events(Store="LAStoreLevel2_5PM"),
"6PM" : Events(Store="LAStoreLevel2_6PM"),
}

define StoreEventsLvl3 = {
"11AM" : Events(Store="LAStoreLevel3_11AM"),
"12PM" : Events(Store="LAStoreLevel3_12PM"),
"1PM" : Events(Store="LAStoreLevel3_1PM"),
"2PM" : Events(Store="LAStoreLevel3_2PM"),
"3PM" : Events(Store="LAStoreLevel3_3PM"),
"4PM" : Events(Store="LAStoreLevel3_4PM"),
"5PM" : Events(Store="LAStoreLevel3_5PM"),
"6PM" : Events(Store="LAStoreLevel3_6PM"),
}

define StoreEventsLvl4 = {
"11AM" : Events(Store="LAStoreLevel4_11AM"),
"12PM" : Events(Store="LAStoreLevel4_12PM"),
"1PM" : Events(Store="LAStoreLevel4_1PM"),
"2PM" : Events(Store="LAStoreLevel4_2PM"),
"3PM" : Events(Store="LAStoreLevel4_3PM"),
"4PM" : Events(Store="LAStoreLevel4_4PM"),
"5PM" : Events(Store="LAStoreLevel4_5PM"),
"6PM" : Events(Store="LAStoreLevel4_6PM"),
}

define NEventsLvl1 = {
"10AM" : Events(NKitchen="NKitchenLevel1_10AM", NROBedroom="NROBedroomLevel1_10AM"),
"11AM" : Events(NLiving="NLivingLevel1_11AM", NBathroom="NBathroomLevel1_11AM"),
"12PM" : Events(NBathroom="NBathroomLevel1_12PM"),
"1PM" : Events(NLiving="NLivingLevel1_1PM"),
"2PM" : Events(NDOBedroom="NDOBedroomLevel1_2PM", NBathroom="NBathroomLevel1_2PM"),
"3PM" : Events(NDOBedroom="NDOBedroomLevel1_2PM"),
"4PM" : Events(NDOBedroom="NDOBedroomLevel1_4PM"),
"5PM" : Events(NROBedroom="NROBedroomLevel1_5PM", NDOBedroom="NDOBedroomLevel1_2PM"),
"6PM" : Events(NLiving="NLivingLevel1_6PM", NDOBedroom="NDOBedroomLevel1_2PM"),
"7PM" : Events(NROBedroom="NROBedroomLevel1_7PM", NDOBedroom="NDOBedroomLevel1_2PM"),
"8PM" : Events(NLiving="NLivingLevel1_8PM", NDOBedroom="NDOBedroomLevel1_2PM"),
"9PM" : Events(NLiving="NLivingLevel1_9PM"),
"10PM" : Events(NLiving="NLivingLevel1_10PM"),
"11PM" : Events(NBathroom="NBathroomLevel1_11PM"),
"12AM" : Events(NDOBedroom="NDOBedroomLevel1_12AM", NLiving="NLivingLevel1_12AM")
}

define NEventsLvl2 = {
"9AM" : Events(NLiving="NLivingLevel2_9AM"),
"10AM" : Events(NKitchen="NKitchenLevel2_10AM", NROBedroom="NROBedroomLevel2_10AM"),
"11AM" : Events(NKitchen="NKitchenLevel2_11AM", NBathroom="NBathroomLevel2_11AM"),
"12PM" : Events(NBathroom="NBathroomLevel2_12PM"),
"1PM" : Events(NDOBedroom="NDOBedroomLevel2_1PM"),
"2PM" : Events(NDOBedroom="NDOBedroomLevel2_2PM3PM6PM7PM8PM", NBathroom="NBathroomLevel2_2PM"),
"3PM" : Events(NDOBedroom="NDOBedroomLevel2_2PM3PM6PM7PM8PM"),
"4PM" : Events(NKitchen="NKitchenLevel2_4PM"),
"5PM" : Events(NDOBedroom="NDOBedroomLevel2_5PM", NROBedroom="NROBedroomLevel2_5PM"),
"6PM" : Events(NDOBedroom="NDOBedroomLevel2_2PM3PM6PM7PM8PM", NLiving="NLivingLevel2_6PM"),
"7PM" : Events(NDOBedroom="NDOBedroomLevel2_2PM3PM6PM7PM8PM", NROBedroom="NROBedroomLevel2_7PM"),
"8PM" : Events(NDOBedroom="NDOBedroomLevel2_2PM3PM6PM7PM8PM", NKitchen="NKitchenLevel2_8PM"),
"9PM" : Events(NKitchen="NKitchenLevel2_9PM"),
"10PM" : Events(NLiving="NLivingLevel2_10PM"),
"11PM" : Events(NBathroom="NBathroomLevel2_11PM"),
"12AM" : Events(NDOBedroom="NDOBedroomLevel2_12AM", NLiving="NLivingLevel2_12AM")
}

define NEventsLvl3 = {
"9AM" : Events(NLiving="NLivingLevel3_9AM"),
"10AM" : Events(NKitchen="NKitchenLevel3_10AM", NROBedroom="NROBedroomLevel3_10AM"),
"11AM" : Events(NLiving="NLivingLevel3_11AM", NBathroom="NBathroomLevel3_11AM"),
"12PM" : Events(NBathroom="NBathroomLevel3_12PM"),
"1PM" : Events(NDOBedroom="NDOBedroomLevel3_1PM"),
"2PM" : Events(NDOBedroom="NDOBedroomLevel3_2PM3PM4PM6PM7PM", NBathroom="NBathroomLevel3_2PM"),
"3PM" : Events(NDOBedroom="NDOBedroomLevel3_2PM3PM4PM6PM7PM"),
"4PM" : Events(NDOBedroom="NDOBedroomLevel3_2PM3PM4PM6PM7PM"),
"5PM" : Events(NDOBedroom="NDOBedroomLevel3_5PM", NROBedroom="NROBedroomLevel3_5PM"),
"6PM" : Events(NDOBedroom="NDOBedroomLevel3_2PM3PM4PM6PM7PM", NLiving="NLivingLevel3_6PM"),
"7PM" : Events(NDOBedroom="NDOBedroomLevel3_2PM3PM4PM6PM7PM", NROBedroom="NROBedroomLevel3_7PM"),
"8PM" : Events(NDOBedroom="NDOBedroomLevel3_8PM", NLiving="NLivingLevel3_8PM"),
"9PM" : Events(NKitchen="NKitchenLevel3_9PM"),
"10PM" : Events(NLiving="NLivingLevel3_10PM"),
"11PM" : Events(NBathroom="NBathroomLevel3_11PM"),
"12AM" : Events(NROBedroom="NROBedroomLevel3_12AM", NLiving="NLivingLevel3_12AM")
}


define CAptEventsLvl2 = {
"8PM" : Events(CApt="CAptLevel2_8PM"),
"9PM" : Events(CApt="CAptLevel2_9PM"),
"10PM" : Events(CApt="CAptLevel2_10PM"),
"11PM" : Events(CApt="CAptLevel2_11PM"),
"12AM" : Events(CApt="CAptLevel2_12AM")
}

define GHomeEventsLvl1 = {
"7AM" : Events(GHome="GHome_Level1_SleepMorning"),
"8AM" : Events(GHome="GHome_Level1_SleepMorning"),
"9AM" : Events(GHome="GHome_Level1_9AM"),
"10AM" : Events(GHome="GHome_Level1_10AM"),
"11AM" : Events(GHome="GHome_Level1_11AM"),
"12PM" : Events(GHome="GHome_Level1_SleepMorning"),
"1PM" : Events(GHome="GHome_Level1_SleepMorning"),
"2PM" : Events(GHome="GHome_Level1_2PM"),
"3PM" : Events(GHome="GHome_Level1_3PM"),
"4PM" : Events(GHome="GHome_Level1_4PM"),
"5PM" : Events(GHome="GHome_Level1_SleepMidday"),
"6PM" : Events(GHome="GHome_Level1_SleepMidday"),
"7PM" : Events(GHome="GHome_Level1_7PM"),
"8PM" : Events(GHome="GHome_Level1_8PM"),
"9PM" : Events(GHome="GHome_Level1_9PM"),
"10PM" : Events(GHome="GHome_Level1_10PM"),
"11PM" : Events(GHome="GHome_Level1_SleepNight"),
"12AM" : Events(GHome="GHome_Level1_SleepNight"),
}

define GHomeEventsLvl2 = {
"7AM" : Events(GHome="GHome_Level2_7AM8AM12PM"),
"8AM" : Events(GHome="GHome_Level2_7AM8AM12PM"),
"9AM" : Events(GHome="GHome_Level2_9AM"),
"10AM" : Events(GHome="GHome_Level2_10AM"),
"11AM" : Events(GHome="GHome_Level2_11AM"),
"12PM" : Events(GHome="GHome_Level2_7AM8AM12PM"),
"1PM" : Events(GHome="GHome_Level2_1PM4PM"),
"2PM" : Events(GHome="GHome_Level2_2PM"),
"3PM" : Events(GHome="GHome_Level2_3PM"),
"4PM" : Events(GHome="GHome_Level2_1PM4PM"),
"5PM" : Events(GHome="GHome_Level2_5PM"),
"6PM" : Events(GHome="GHome_Level2_6PM11PM"),
"7PM" : Events(GHome="GHome_Level2_7PM"),
"8PM" : Events(GHome="GHome_Level2_8PM"),
"9PM" : Events(GHome="GHome_Level2_9PM"),
"10PM" : Events(GHome="GHome_Level2_10PM"),
"11PM" : Events(GHome="GHome_Level2_6PM11PM"),
"12AM" : Events(GHome="GHome_Level2_12AM"),
}

define GHomeEventsLvl3 = {
"7AM" : Events(GHome="GHome_Level2_7AM8AM12PM"),
"8AM" : Events(GHome="GHome_Level2_1PM4PM"),
"9AM" : Events(GHome="GHome_Level2_1PM4PM"),
"10AM" : Events(GHome="GHome_Level3_10AM"),
"11AM" : Events(GHome="GHome_Level3_11AM"),
"12PM" : Events(GHome="GHome_Level2_1PM4PM"),
"1PM" : Events(GHome="GHome_Level2_1PM4PM"),
"2PM" : Events(GHome="GHome_Level3_2PM"),
"3PM" : Events(GHome="GHome_Level3_3PM"),
"4PM" : Events(GHome="GHome_Level2_1PM4PM"),
"5PM" : Events(GHome="GHome_Level3_5PM"),
"6PM" : Events(GHome="GHome_Level2_1PM4PM"),
"7PM" : Events(GHome="GHome_Level3_7PM"),
"8PM" : Events(GHome="GHome_Level3_8PM"),
"9PM" : Events(GHome="GHome_Level3_9PM"),
"10PM" : Events(GHome="GHome_Level3_10PM"),
"11PM" : Events(GHome="GHome_Level3_11PM"),
"12AM" : Events(GHome="GHome_Level3_12AM"),
}

define LauraHomeEventsLvl2 = {
"8PM" : Events(LauraHome="LAHomeLevel2_8PM"),
"9PM" : Events(LauraHome="LAHomeLevel2_9PM"),
"10PM" : Events(LauraHome="LAHomeLevel2_10PM"),
"11PM" : Events(LauraHome="LAHomeLevel2_11PM"),
"12AM" : Events(LauraHome="LAHomeLevel2_12AM")
}

define LauraHomeEventsLvl3 = {
"10AM" : Events(LauraHome="LAHomeLevel3_10AM"),
"8PM" : Events(LauraHome="LAHomeLevel3_8PM"),
"9PM" : Events(LauraHome="LAHomeLevel3_9PM"),
"10PM" : Events(LauraHome="LAHomeLevel3_10PM"),
"11PM" : Events(LauraHome="LAHomeLevel3_11PM"),
"12AM" : Events(LauraHome="LAHomeLevel3_12AM")
}

define LauraHomeEventsLvl4 = {
"10AM" : Events(LauraHome="LAHomeLevel4_10AM"),
"8PM" : Events(LauraHome="LAHomeLevel4_8PM"),
"9PM" : Events(LauraHome="LAHomeLevel4_9PM"),
"10PM" : Events(LauraHome="LAHomeLevel4_10PM"),
"11PM" : Events(LauraHome="LAHomeLevel4_11PM"),
"12AM" : Events(LauraHome="LAHomeLevel4_12AM")
}

define MayaAptEventsLvl3 = {
"8PM" : Events(MayaApt="MayaLevel3_8PM"),
"9PM" : Events(MayaApt="MayaLevel3_9PM"),
"10PM" : Events(MayaApt="MayaLevel3_10PM"),
"11PM" : Events(MayaApt="MayaLevel3_11PM"),
"12AM" : Events(MayaApt="MayaLevel3_12AM")
}

define MayaAptEventsLvl4 = {
"7PM" : Events(MayaApt="MayaLevel4_7PM"),
"8PM" : Events(MayaApt="MayaLevel4_8PM"),
"9PM" : Events(MayaApt="MayaLevel4_9PM"),
"10PM" : Events(MayaApt="MayaLevel4_10PM"),
"11PM" : Events(MayaApt="MayaLevel4_11PM"),
"12AM" : Events(MayaApt="MayaLevel4_12AM")
}

define JAptEventsLvl2 = {
"5PM" : Events(JaneApt="JAptLevel2_5PM"),
"6PM" : Events(JaneApt="JAptLevel2_6PM"),
"7PM" : Events(JaneApt="JAptLevel2_7PM"),
"8PM" : Events(JaneApt="JAptLevel2_8PM"),
"11PM" : Events(JaneApt="JAptLevel2_11PM"),
"12AM" : Events(JaneApt="JAptLevel2_12AM")
}

define JAptEventsLvl3 = {
"9AM" : Events(JaneApt="JAptLevel3_9AM"),
"6PM" : Events(JaneApt="JAptLevel3_6PM"),
"7PM" : Events(JaneApt="JAptLevel3_7PM"),
"8PM" : Events(JaneApt="JAptLevel3_8PM"),
"10PM" : Events(JaneApt="JAptLevel3_10PM"),
"11PM" : Events(JaneApt="JAptLevel3_11PM"),
"12AM" : Events(JaneApt="JAptLevel3_12AM")
}

define JAptEventsLvl4 = {
"9AM" : Events(JaneApt="JAptLevel4_9AM"),
"6PM" : Events(JaneApt="JAptLevel4_6PM"),
"7PM" : Events(JaneApt="JAptLevel4_7PM"),
"8PM" : Events(JaneApt="JAptLevel4_8PM"),
"9PM" : Events(JaneApt="JAptLevel4_9PM"),
"10PM" : Events(JaneApt="JAptLevel4_10PM"),
"11PM" : Events(JaneApt="JAptLevel4_11PM"),
"12AM" : Events(JaneApt="JAptLevel4_12AM")
}

define SIAptEventsLvl2 = {
"8AM" : Events(SidneyApt="SIAptLevel2_8AM"),
"9AM" : Events(SidneyApt="SIAptLevel2_9AM"),
"8PM" : Events(SidneyApt="SIAptLevel2_8PM"),
"9PM" : Events(SidneyApt="SIAptLevel2_9PM"),
"10PM" : Events(SidneyApt="SIAptLevel2_10PM"),
"11PM" : Events(SidneyApt="SIAptLevel2_11PM")
}

define SIAptEventsLvl3 = {
"9AM" : Events(SidneyApt="SIAptLevel3_9AM"),
"6PM" : Events(SidneyApt="SIAptLevel3_6PM"),
"7PM" : Events(SidneyApt="SIAptLevel3_7PM"),
"8PM" : Events(SidneyApt="SIAptLevel3_8PM"),
"9PM" : Events(SidneyApt="SIAptLevel3_9PM"),
"10PM" : Events(SidneyApt="SIAptLevel3_10PM"),
"11PM" : Events(SidneyApt="SIAptLevel3_11PM"),
"12AM" : Events(SidneyApt="SIAptLevel3_12AM")
}

define SIAptEventsLvl4 = {
"9AM" : Events(SidneyApt="SIAptLevel4_9AM"),
"5PM" : Events(SidneyApt="SIAptLevel4_5PM"),
"6PM" : Events(SidneyApt="SIAptLevel4_6PM"),
"7PM" : Events(SidneyApt="SIAptLevel4_7PM"),
"8PM" : Events(SidneyApt="SIAptLevel4_8PM"),
"9PM" : Events(SidneyApt="SIAptLevel4_9PM"),
"10PM" : Events(SidneyApt="SIAptLevel4_10PM"),
"11PM" : Events(SidneyApt="SIAptLevel4_11PM"),
"12AM" : Events(SidneyApt="SIAptLevel4_12AM")
}

define CoffeeShopLvl1 = {
"7AM" : Events(CoffeeShop="BarEmptyMorning"),
"8AM" : Events(CoffeeShop="BarEmptyMorning"),
"9AM" : Events(CoffeeShop="CoffeeShopLevel1_9AM"),
"10AM" : Events(CoffeeShop="BarEmptyMorning"),
"11AM" : Events(CoffeeShop="BarEmptyMorning"),
"12PM" : Events(CoffeeShop="CoffeeShopLevel1_12PM"),
"1PM" : Events(CoffeeShop="BarEmptyAfternoon"),
"2PM" : Events(CoffeeShop="BarEmptyAfternoon"),
"3PM" : Events(CoffeeShop="BarEmptyAfternoon"),
"4PM" : Events(CoffeeShop="BarEmptyAfternoon"),
"5PM" : Events(CoffeeShop="BarEmptyAfternoon"),
"6PM" : Events(CoffeeShop="BarEmptyEvening"),
"7PM" : Events(CoffeeShop="BarEmptyEvening"),
"8PM" : Events(CoffeeShop="BarEmptyEvening"),
"9PM" : Events(CoffeeShop="CoffeeShopLevel1_9PM"),
"10PM" : Events(CoffeeShop="CoffeeShopLevel1_10PM"),
"11PM" : Events(CoffeeShop="CoffeeShopLevel1_11PM"),
"12AM" : Events(CoffeeShop="CoffeeShopLevel1_12AM")
}

define MotelLvl1 = {
"7AM" : Events(Motel="EveLevel1_7AM"),
"8AM" : Events(Motel="EveLevel1_8AM"),
"9AM" : Events(Motel="EveLevel1_9AM"),
"10AM" : Events(Motel="EveLevel1_10AM"),
"11AM" : Events(Motel="EveLevel1_11AM"),
"12PM" : Events(Motel="EveLevel1_12PM"),
"1PM" : Events(Motel="EveLevel1_1PM"),
"2PM" : Events(Motel="EveLevel1_2PM"),
"3PM" : Events(Motel="EveLevel1_3PM"),
"4PM" : Events(Motel="EveLevel1_4PM"),
"5PM" : Events(Motel="EveLevel1_5PM"),
"6PM" : Events(Motel="EveLevel1_6PM"),
"7PM" : Events(Motel="EveLevel1_7PM"),
"8PM" : Events(Motel="EveLevel1_8PM"),
"9PM" : Events(Motel="EveLevel1_9PM"),
"10PM" : Events(Motel="EveLevel1_10PM"),
"11PM" : Events(Motel="EveLevel1_11PM"),
"12AM" : Events(Motel="EveLevel1_12AM")
}

define KellyAptEventsLvl3 = {
"9AM" : Events(KellyApt="KellyHomeLevel3_9AM"),
"8PM" : Events(KellyApt="KellyHomeLevel3_8PM"),
"9PM" : Events(KellyApt="KellyHomeLevel3_9PM"),
"10PM" : Events(KellyApt="KellyHomeLevel3_10PM"),
"11PM" : Events(KellyApt="KellyHomeLevel3_11PM")
}

init -1 python:
    import math

    class Events():
        def __init__(self, Bathroom=None, Kitchen=None, Lounge=None, MBedroom=None, PBedroom=None, SBedroom=None, Toilet=None, Pool=None, Overview=None, Map=None,
        Office=None, ORestroom=None, OMOffice=None, OCubicles=None, OBreakroom=None, OReception=None,
        School=None, SCanteen=None, SClassroom=None, SHallway=None, SShowers=None, SStudyRoom=None, STeachersLounge=None,
        Spa=None, SpaCounter=None, SpaJacuzzi=None, SpaOutside=None, SpaPool=None, SpaSauna=None, SpaMassage=None,
        NHome=None, NKitchen=None, NBathroom=None, NLiving=None, NDOBedroom=None, NROBedroom=None,
        Store=None,
        CApt=None,
        GHome=None,
        LauraHome=None,
        MayaApt=None,
        JaneApt=None,
        SidneyApt=None,
        CoffeeShop=None,
        Motel=None,
        WestBeach=None,
        KellyApt=None,
        Cabin=None, CabKitchen=None, CabBathroom=None, CabBedroom=None, CabLounge=None):
            self.Bathroom = Bathroom
            self.Kitchen = Kitchen
            self.Lounge = Lounge
            self.MBedroom = MBedroom
            self.PBedroom = PBedroom
            self.SBedroom = SBedroom
            self.Toilet = Toilet
            self.Pool = Pool
            self.Overview = Overview
            self.Map = Map
            self.Office = Office
            self.ORestroom = ORestroom
            self.OMOffice = OMOffice
            self.OCubicles = OCubicles
            self.OBreakroom = OBreakroom
            self.OReception = OReception
            self.School = School
            self.SCanteen = SCanteen
            self.SClassroom = SClassroom
            self.SHallway = SHallway
            self.SShowers = SShowers
            self.SStudyRoom = SStudyRoom
            self.STeachersLounge = STeachersLounge
            self.NHome = NHome
            self.NKitchen = NKitchen
            self.NBathroom = NBathroom
            self.NLiving = NLiving
            self.NDOBedroom = NDOBedroom
            self.NROBedroom = NROBedroom
            self.Store = Store
            self.Spa = Spa
            self.SpaCounter = SpaCounter
            self.SpaJacuzzi = SpaJacuzzi
            self.SpaOutside = SpaOutside
            self.SpaPool = SpaPool
            self.SpaSauna = SpaSauna
            self.SpaMassage = SpaMassage
            self.CApt = CApt
            self.GHome = GHome
            self.LauraHome = LauraHome
            self.MayaApt = MayaApt
            self.JaneApt = JaneApt
            self.SidneyApt = SidneyApt
            self.CoffeeShop = CoffeeShop
            self.Motel = Motel
            self.WestBeach = WestBeach
            self.KellyApt = KellyApt
            self.Cabin = Cabin
            self.CabKitchen = CabKitchen
            self.CabBathroom = CabBathroom
            self.CabBedroom = CabBedroom
            self.CabLounge = CabLounge

    def initEventHandler():
        initEventHandlerMissedDate()
        #if PreviousLocation in ["ZoeOverview", "Map"]:
        #    initEventHandlerZoe()
        if PreviousLocation in ["Overview"]:
            initEventHandlerDate()
            if WeekDay in ["Saturday", "Sunday"] and str(Hour) + Timeday in ["9AM", "10AM", "11AM", "12PM", "1PM"]:
                initEventHandlerHomeWknd()
            else:
                initEventHandlerHome()
        if PreviousLocation == "PBedroom":
            initEventHandlerSuzieLvlup2()
            if WeekDay == "Saturday" and str(Hour) + Timeday in ["7AM", "8AM", "9AM", "10AM"] and Sarah.AffectionP == 100 and Shannon.AffectionP == 100 and SCosplayLvl9 and MCosplayLvl9 and SLingerieLvl9 and MLingerieLvl9 and Shannon.Relationship == 9 and initGetPlayed("9S", "Date") and initGetPlayed("9M", "Date") and initGetPlayed("9S", "Date Solo") and initGetPlayed("9M", "Date Solo") and Money >= 555:
                initJumpTo("LoungeLvlup9")
        if PreviousLocation in ["Office"]:
            initEventHandlerOffice()
        if PreviousLocation in ["School"]:
            initEventHandlerSchool()
        if PreviousLocation in ["NHome"]:
            initEventHandlerNHome()
        if PreviousLocation in ["Store"]:
            initEventHandlerStore()
        if PreviousLocation in ["Spa"]:
            initEventHandlerSpa()
        if PreviousLocation in ["Cabin"]:
            initEventHandlerCabin()
        if PreviousLocation in ["Map"] and Location == "CApt":
            initEventHandlerCApt()
        if PreviousLocation in ["Map"] and Location == "GHome":
            initEventHandlerSuzieLvlup2part2()
            initEventHandlerGHome()
        if PreviousLocation in ["Map"] and Location == "LauraHome":
            initEventHandlerLauraApt()
        if PreviousLocation in ["Map"] and Location == "MayaApt":
            initEventHandlerMayaApt()
        if PreviousLocation in ["Map"] and Location == "SidneyApt":
            initEventHandlerSIApt()
        if PreviousLocation in ["Map"] and Location == "JaneApt":
            initEventHandlerJApt()
        if PreviousLocation in ["Map"] and Location == "CoffeeShop":
            initEventHandlerCoffeeShop()
        if PreviousLocation in ["Map"] and Location == "WestBeach":
            initEventHandlerWestBeach()
        if PreviousLocation in ["Map"] and Location == "Motel":
            initEventHandlerMotel()
        if PreviousLocation in ["Map"] and Location == "KellyApt":
            initEventHandlerKellyApt()

    def initEventHandlerSuzieLvlup2():
        global suzielevelup2seen

        if Suzie.Relationship == 2 and Suzie.AffectionP == 100 and Sarah.Relationship >= 9 and str(Hour) + Timeday in ["6PM", "7PM", "8PM", "9PM", "10PM"] and not suzielevelup2seen:
            initJumpTo("GHome_Levelup2")

    def initEventHandlerSuzieLvlup2part2():
        if suzielevelup2seen and str(Hour) + Timeday in ["8AM", "9AM", "10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM"] and Suzie.Relationship == 2:
            initJumpTo("GHome_Levelup2part2")

    def initEventHandlerMissedDate():
        if not str(Hour) + Timeday in ["10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM"]:
            if "DateMLvl" + str(Sarah.Relationship) + "Active" in globals() and globals()["DateMLvl" + str(Sarah.Relationship) + "Active"] == True:
                globals()["DateMLvl" + str(Sarah.Relationship) + "Active"] = False
                if Sarah.Relationship == 1:
                    initJumpTo("MissedDateM1")
                else:
                    initJumpTo("MissedDateM2")
            if "DateSLvl" + str(Shannon.Relationship) + "Active" in globals() and globals()["DateSLvl" + str(Shannon.Relationship) + "Active"] == True:
                globals()["DateSLvl" + str(Shannon.Relationship) + "Active"] = False
                if Shannon.Relationship == 1:
                    initJumpTo("MissedDateS1")
                else:
                    initJumpTo("MissedDateS2")

    def initEventHandlerDate():
        if Location in ["MBedroom", "Kitchen"] and WeekDay == "Saturday" and str(Hour) + Timeday == "5PM" and "DateMLvl" + str(Sarah.Relationship) + "Active" in globals() and (globals()["DateMLvl" + str(Sarah.Relationship) + "Active"] or (Sarah.Relationship == 8 and DateMLvl8TogetherActive == True) or (Sarah.Relationship == 9 and DateMLvl9TogetherActive == True)) and renpy.has_label("MBedroomLevel" + str(Sarah.Relationship) + "_5PMDate"):
            if Location == "MBedroom":
                if Sarah.Relationship == 8:
                    if DateMLvl8TogetherActive == True:
                        initJumpTo("MBedroomLevel8_5PMDateTogether")
                    else:
                        initJumpTo("MBedroomLevel8_5PMDate")
                elif Sarah.Relationship == 9:
                    if DateMLvl9TogetherActive == True:
                        initJumpTo("MBedroomLevel9_5PMDateTogether")
                    else:
                        initJumpTo("MBedroomLevel9_5PMDate")
                else:
                    initJumpTo("MBedroomLevel" + str(Sarah.Relationship) + "_5PMDate")
        elif Location == "SBedroom" and WeekDay == "Sunday" and str(Hour) + Timeday == "5PM" and "DateSLvl" + str(Sarah.Relationship) + "Active" in globals() and (globals()["DateSLvl" + str(Sarah.Relationship) + "Active"] or (Shannon.Relationship == 8 and DateSLvl8TogetherActive == True) or (Shannon.Relationship == 9 and DateSLvl9TogetherActive == True)) and renpy.has_label("SBedroomLevel" + str(Sarah.Relationship) + "_5PMDate"):
            if Shannon.Relationship == 8:
                if DateSLvl8TogetherActive == True:
                    initJumpTo("SBedroomLevel8_5PMDateTogether")
                else:
                    initJumpTo("SBedroomLevel8_5PMDate")
            elif Shannon.Relationship == 9:
                if DateSLvl9TogetherActive == True:
                    initJumpTo("SBedroomLevel9_5PMDateTogether")
                else:
                    initJumpTo("SBedroomLevel9_5PMDate")
            else:
                initJumpTo("SBedroomLevel" + str(Sarah.Relationship) + "_5PMDate")

    def initEventHandlerHome():

        if Sarah.Relationship != 8:
            initEventHandlerGoodbye()
        initEventHandlerCLvl1()
        initEventHandlerLALvl2()
        initEventHandlerSuzieIntro()
        initEventHandlerJLvl2()
        initEventHandlerNeighborLvl3()
        try:
            if getattr(globals()["EventsLvl" + str(Sarah.Relationship)][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["EventsLvl" + str(Sarah.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Make The New EventsLvl Variable, or fix the existing one.")

    def initEventHandlerHomeWknd():
        global Invite

        initEventHandlerNeighborLvl3()
        if str(Hour) + Timeday == "10AM" and Invite == False and WeekDay == "Saturday":
            Invite = True
            if renpy.has_label("SpaInviteLvl" + str(Sarah.Relationship) + "_10AM"):
                initJumpTo("SpaInviteLvl" + str(Sarah.Relationship) + "_10AM")
            else:
                initJumpTo(initEventHandlerChecks("SpaInviteLvl", Sarah.Relationship - 1, "_10AM"))
        try:
            if getattr(globals()["WkndEventsLvl" + str(Sarah.Relationship)][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["WkndEventsLvl" + str(Sarah.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Make The New WkndEventsLvl Variable, or fix the existing one.")

    def initEventHandlerCabin():
        global CabinDayTime
        global CabinDayNr

        try:
            if getattr(globals()["CabinEventsDay" + str(CabinDayNr)][str(CabinDayTime)], Location) != None:
                initJumpTo(getattr(globals()["CabinEventsDay" + str(CabinDayNr)][str(CabinDayTime)], Location))
        except KeyError:
            renpy.notify("Make The New CabinEventsDay Variable, or fix the existing one.")

    def initEventHandlerChecks(start, level, end=""):
        if renpy.has_label("SpaInviteLvl" + str(level) + "_10AM"):
            return "SpaInviteLvl" + str(level) + "_10AM"
        else:
            return initEventHandlerChecks("SpaInviteLvl", level - 1, "_10AM")

    def initEventHandlerGoodbye():
        global Goodbye

        if str(Hour) + Timeday == "10AM" and Goodbye == False and WeekDay not in ["Saturday", "Sunday"]:
            Goodbye = True
            if renpy.has_label("GoodbyeLvl" + str(Sarah.Relationship)):
                initJumpTo("GoodbyeLvl" + str(Sarah.Relationship))
            else:
                initJumpTo("GoodbyeLvl" + str(Sarah.Relationship - 1))

    def initEventHandlerNeighborLvl3():

        if Donna.Relationship == 2 and Rose.Relationship == 2 and Donna.AffectionP == 100 and Rose.AffectionP == 100 and str(Hour) + Timeday in ["6PM", "7PM", "8PM", "9PM", "10PM", "11PM"]:
            initJumpTo("NLevelup_2")

    def initEventHandlerCLvl1():
        global CLvlUpDo
        global CLvlUpDone

        if "1C" in GalleryEventsUnlocked and "10AM" in GalleryEventsUnlocked["1C"] and "11AM" in GalleryEventsUnlocked["1C"] and "1PM" in GalleryEventsUnlocked["1C"]:
            if GalleryEventsUnlocked["1C"]["10AM"] == True and GalleryEventsUnlocked["1C"]["11AM"] == True and GalleryEventsUnlocked["1C"]["1PM"] == True:
                if Claire.AffectionP == 100 and str(Hour) + Timeday == "7PM" and WeekDay == "Friday" and CLvlUpDone == False and CLvlUpDo == False:
                    CLvlUpDo = True
                    initJumpTo("CLvlup_1")

    def initEventHandlerLALvl2():

        if Laura.Relationship == 2 and WeekDay in ["Saturday", "Sunday"] and str(Hour) + Timeday == "6PM" and Laura.AffectionP == 100:
            initJumpTo("LAStoreLevel2_Lvlup")
        elif Laura.Relationship == 3 and WeekDay in ["Saturday", "Sunday"] and str(Hour) + Timeday in ["7PM", "8PM", "9PM", "10PM"] and Laura.AffectionP == 100:
            initJumpTo("LAStoreLevel3_Lvlup")

    def initEventHandlerSuzieIntro():
        global SuzieIntroPlayed

        if not SuzieIntroPlayed and WeekDay not in ["Saturday", "Sunday"] and str(Hour) + Timeday in ["11AM", "12PM", "1PM"] and Sarah.Relationship >= 7:
            SuzieIntroPlayed = True
            initJumpTo("GHomeIntro")

    def initEventHandlerJLvl2():
        if Jane.Relationship == 2 and WeekDay == "Friday" and str(Hour) + Timeday == "7PM" and Jane.AffectionP == 100:
            initJumpTo("JLevelup_2")

    def initEventHandlerCApt():
        try:
            if str(Hour) + Timeday in globals()["CAptEventsLvl" + str(Claire.Relationship)] and str(Hour) + Timeday + str(Jane.Relationship) + WeekDay not in ["9AM3Saturday", "9AM3Sunday"]:
                if renpy.has_label(getattr(globals()["CAptEventsLvl" + str(Claire.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["CAptEventsLvl" + str(Claire.Relationship)][str(Hour) + Timeday], Location))
            else:
                initJumpTo("CAptLevel2_Empty")
        except KeyError:
            renpy.notify("Make The New CAptEventsLvl Variable, or fix the existing one.")

    def initEventHandlerJApt():
        try:
            if str(Hour) + Timeday in globals()["JAptEventsLvl" + str(Jane.Relationship)]:
                if renpy.has_label(getattr(globals()["JAptEventsLvl" + str(Jane.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["JAptEventsLvl" + str(Jane.Relationship)][str(Hour) + Timeday], Location))
            else:
                initJumpTo("JAptLevel2_Empty")
        except KeyError:
            renpy.notify("Make The New JAptEventsLvl Variable, or fix the existing one.")

    def initEventHandlerSIApt():
        if Sidney.AffectionP == 100 and Sidney.Relationship == 2 and str(Hour) + Timeday in ["8PM", "9PM", "10PM", "11PM", "12AM"]:
            initJumpTo("SIAptLevelup2")
        elif Sidney.AffectionP == 100 and Sidney.Relationship == 3 and str(Hour) + Timeday in ["8PM", "9PM", "10PM", "11PM", "12AM"]:
            initJumpTo("SIAptLevelup3")
        try:
            if str(Hour) + Timeday in globals()["SIAptEventsLvl" + str(Sidney.Relationship)]:
                if renpy.has_label(getattr(globals()["SIAptEventsLvl" + str(Sidney.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["SIAptEventsLvl" + str(Sidney.Relationship)][str(Hour) + Timeday], Location))
            else:
                initJumpTo("SIAptLevel2_Empty")
        except KeyError:
            renpy.notify("Make The New SIAptEventsLvl Variable, or fix the existing one.")

    def initEventHandlerGHome():
        if Suzie.AffectionP == 100 and Suzie.Relationship == 1 and Sarah.Relationship >= 8 and str(Hour) + Timeday in ["12PM", "1PM", "2PM", "3PM", "4PM", "5PM", "6PM"]:
            initJumpTo("GHome_Levelup1")
        try:
            if str(Hour) + Timeday in globals()["GHomeEventsLvl" + str(Suzie.Relationship)]:
                if renpy.has_label(getattr(globals()["GHomeEventsLvl" + str(Suzie.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["GHomeEventsLvl" + str(Suzie.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Make The New GHomeEventsLvl1 Variable, or fix the existing one.")

    def initEventHandlerNHome():
        global NeighborIntroPlayed1
        global NeighborIntroPlayed2
        global NeighborIntroDay
        global TotalDays

        if SchoolIntroPlayed:
            if not NeighborIntroPlayed1:
                NeighborIntroPlayed1 = True
                NeighborIntroDay = TotalDays
                initJumpTo("NeighborIntro")
            elif not NeighborIntroPlayed2 and TotalDays > NeighborIntroDay:
                NeighborIntroPlayed2 = True
                initJumpTo("NeighborIntro2")
            elif NeighborIntroPlayed1 and TotalDays <= NeighborIntroDay:
                initJumpTo("NeighborIntroDay")
        if SchoolIntroPlayed and NeighborIntroPlayed1 and NeighborIntroPlayed2:
            if str(Hour) + Timeday + str(Donna.Relationship) in ["7AM1", "8AM1", "9AM1", "7AM2", "8AM2"]:
                initJumpTo("NeighborTooEarly")
            try:
                if getattr(globals()["NEventsLvl" + str(Donna.Relationship)][str(Hour) + Timeday], Location) != None:
                    initJumpTo(getattr(globals()["NEventsLvl" + str(Donna.Relationship)][str(Hour) + Timeday], Location))
            except KeyError:
                renpy.notify("Make The New NEventsLvl Variable, or fix the existing one.")

    def initEventHandlerOffice():
        global OfficeIntroPlayed
        global GoodbyeLvl1First

        if not OfficeIntroPlayed:
            OfficeIntroPlayed = True
            GoodbyeLvl1First = True
            initJumpTo("OfficeIntro")
        OELevel = str(1)
        if str(Hour) + Timeday not in ["10AM", "11AM", "12PM", "1PM", "2PM", "3PM"]:
            initJumpTo("Map")
        if str(Hour) + Timeday + Location in ["10AMOMOffice", "11AMORestroom", "12PMOMOffice", "1PMOMOffice"]:
            OELevel = str(Sarah.Relationship)
        elif str(Hour) + Timeday + Location in ["10AMORestroom", "11AMOCubicles", "1PMOBreakroom"]:
            OELevel = str(Claire.Relationship)
        elif str(Hour) + Timeday + Location in ["10AMOReception", "12PMOBreakroom", "1PMORestroom"] or str(Hour) + Timeday + Location == "3PMOReception" and Jane.Relationship >= 2:
            OELevel = str(Jane.Relationship)
        elif str(Hour) + Timeday + Location in ["11AMOMOffice"]:
            OELevel = str(Shannon.Relationship)
        try:
            if getattr(globals()["OfficeEventsLvl" + OELevel][str(Hour) + Timeday], Location) != None:
                if getattr(globals()["OfficeEventsLvl" + OELevel][str(Hour) + Timeday], Location) == "JOfficeLevel1_2PM":
                    if (initGetPlayed("1J", "12PM") and initGetPlayed("1J", "10AM") and initGetPlayed("1J", "1PM") and Jane.Relationship == 1) == False:
                        initJumpTo("EmptyOfficeL2")
                initJumpTo(getattr(globals()["OfficeEventsLvl" + OELevel][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Dev Note: Make The New OfficeEventsLvl Variable, or fix the existing one.")

    def initEventHandlerSpa():
        if str(Hour) + Timeday not in ["10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM"] or WeekDay == "Monday":
            initJumpTo("Map")
        for i in [(Kelly.Relationship, "KE"), (Lucy.Relationship, "LU")]:
            try:
                if getattr(globals()["SpaEventsLvl" + str(i[0])][str(Hour) + Timeday], Location) != None and renpy.has_label(getattr(globals()["SpaEventsLvl" + str(i[0])][str(Hour) + Timeday], Location)) and getattr(globals()["SpaEventsLvl" + str(i[0])][str(Hour) + Timeday], Location).startswith(i[1]):
                    initJumpTo(getattr(globals()["SpaEventsLvl" + str(i[0])][str(Hour) + Timeday], Location))
            except KeyError:
                renpy.notify("Dev Note: Make The New SpaEventsLvl Variable, or fix the existing one.")

    def initEventHandlerSchool():
        global SchoolIntroPlayed
        global SidneyIntroPlayed

        if not SchoolIntroPlayed:
            SchoolIntroPlayed = True
            initJumpTo("SchoolIntro")
        if str(Hour) + Timeday + Location in ["12PMSStudyRoom", "1PMSHallway"] and not NeighborIntroPlayed2:
            return
        if str(Hour) + Timeday + Location in ["11AMSTeachersLounge", "2PMSShowers"] and not SidneyIntroPlayed:
            return
        if str(Hour) + Timeday + Location == "1PMSCanteen" and not SidneyIntroPlayed:
            SidneyIntroPlayed = True
            initJumpTo("SISchoolLevel1_1PM")
        OELevel = str(1)
        if str(Hour) + Timeday not in ["9AM", "10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM"]:
            initJumpTo("Map")
        if str(Hour) + Timeday + Location in ["10AMSHallway", "11AMSClassroom", "12PMSCanteen", "1PMSShowers"] or (Shannon.Relationship in [9, 10] and str(Hour) + Timeday + Location in ["1PMSClassroom"]):
            OELevel = str(Shannon.Relationship)
        if str(Hour) + Timeday + Location in ["9AMSClassroom", "1PMSCanteen", "2PMSTeachersLounge", "3PMSHallway", "3PMSClassroom", "4PMSClassroom", "5PMSClassroom", "3PMSStudyRoom", "4PMSHallway"]:
            OELevel = str(Maya.Relationship)
        if str(Hour) + Timeday + Location + str(Sidney.Relationship) in ["11AMSTeachersLounge1", "2PMSShowers1", "11AMSTeachersLounge2", "1PMSStudyRoom2", "2PMSShowers2", "3PMSCanteen2", "11AMSTeachersLounge3", "1PMSStudyRoom3", "3PMSCanteen3", "11AMSTeachersLounge4", "1PMSStudyRoom4", "3PMSCanteen4", "3PMSShowers4"]:
            OELevel = str(Sidney.Relationship)
        if str(Hour) + Timeday + Location in ["12PMSStudyRoom", "1PMSHallway"]:
            OELevel = str(Rose.Relationship)
        try:
            if getattr(globals()["SchoolEventsLvl" + OELevel][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["SchoolEventsLvl" + OELevel][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Dev Note: Make The New SchoolEventsLvl Variable, or fix the existing one.")

    def initEventHandlerStore():
        global StoreIntroPlayed

        if not StoreIntroPlayed:
            StoreIntroPlayed = True
            initJumpTo("StoreIntro")
        if str(Hour) + Timeday == "5PM" and Laura.AffectionP == 100 and Laura.Relationship == 1 and initGetPlayed("1LA", "12PM") and initGetPlayed("1LA", "1PM") and initGetPlayed("1LA", "2PM") and initGetPlayed("1LA", "3PM") and initGetPlayed("1LA", "4PM") and initGetPlayed("1LA", "5PM") and initGetPlayed("1LA", "6PM"):
            initJumpTo("LAStoreLevel1_Lvlup")
        OELevel = str(Laura.Relationship)
        try:
            if getattr(globals()["StoreEventsLvl" + OELevel][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["StoreEventsLvl" + OELevel][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Dev Note: Make The New StoreEventsLvl Variable, or fix the existing one.")

    def initEventHandlerLauraApt():
        if Laura.Relationship >= 2 and LALvl2NextDay:
            try:
                if str(Hour) + Timeday in globals()["LauraHomeEventsLvl" + str(Laura.Relationship)]:
                    if renpy.has_label(getattr(globals()["LauraHomeEventsLvl" + str(Laura.Relationship)][str(Hour) + Timeday], Location)):
                        initJumpTo(getattr(globals()["LauraHomeEventsLvl" + str(Laura.Relationship)][str(Hour) + Timeday], Location))
            except KeyError:
                renpy.notify("Make The New LauraEventsLvl Variable, or fix the existing one.")
        elif Laura.Relationship == 2 and not LALvl2NextDay:
            initJumpTo("LAHomeLevel2NotNextDay")

    def initEventHandlerMayaApt():
        if Maya.AffectionP == 100 and Maya.Relationship == 3 and str(Hour) + Timeday in ["6PM", "7PM"]:
            initJumpTo("MayaLevelup3")
        try:
            if str(Hour) + Timeday in globals()["MayaAptEventsLvl" + str(Maya.Relationship)]:
                if renpy.has_label(getattr(globals()["MayaAptEventsLvl" + str(Maya.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["MayaAptEventsLvl" + str(Maya.Relationship)][str(Hour) + Timeday], Location))
            else:
                initJumpTo("MayaAptLevel3_Empty")
        except KeyError:
            renpy.notify("Make The New MayaAptEventsLvl Variable, or fix the existing one.")

    def initEventHandlerCoffeeShop():
        global CoffeeShopIntro1Played
        global CoffeeShopIntro2Played

        if not CoffeeShopIntro1Played and str(Hour) + Timeday in ["9PM", "10PM", "11PM", "12AM"]:
            CoffeeShopIntro1Played = True
            initJumpTo("CoffeeShopIntro1")
        elif CoffeeShopIntro1Played and not CoffeeShopIntro2Played and str(Hour) + Timeday in ["9AM", "10AM", "11AM", "12PM"]:
            CoffeeShopIntro2Played = True
            initJumpTo("CoffeeShopIntro2")
        try:
            if getattr(globals()["CoffeeShopLvl" + str(Hazel.Relationship)][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["CoffeeShopLvl" + str(Hazel.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Dev Note: Make The New CoffeeShopLvl Variable, or fix the existing one.")

    def initEventHandlerMotel():
        try:
            if getattr(globals()["MotelLvl" + str(Eve.Relationship)][str(Hour) + Timeday], Location) != None:
                initJumpTo(getattr(globals()["MotelLvl" + str(Eve.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Dev Note: Make The New MotelLvl Variable, or fix the existing one.")

    def initEventHandlerWestBeach():
        global MotelIntroPlayed

        if not MotelIntroPlayed and str(Hour) + Timeday in ["8PM", "9PM"] and Money >= 100:
            MotelIntroPlayed = True
            initJumpTo("EveIntro")
        if str(Hour) + Timeday in ["7AM", "8AM", "9AM", "10AM", "11AM", "12PM"]:
            initJumpTo("WestBeachEmptyMorning")
        elif str(Hour) + Timeday in ["1PM", "2PM", "3PM", "4PM", "5PM"]:
            initJumpTo("WestBeachEmptyAfternoon")
        elif str(Hour) + Timeday in ["6PM", "7PM", "8PM", "9PM", "10PM"]:
            initJumpTo("WestBeachEmptyEvening")
        elif str(Hour) + Timeday in ["11PM", "12AM"]:
            initJumpTo("WestBeachEmptyNight")

    def initEventHandlerKellyApt():
        try:
            if str(Hour) + Timeday in globals()["KellyAptEventsLvl" + str(Kelly.Relationship)]:
                if renpy.has_label(getattr(globals()["KellyAptEventsLvl" + str(Kelly.Relationship)][str(Hour) + Timeday], Location)):
                    initJumpTo(getattr(globals()["KellyAptEventsLvl" + str(Kelly.Relationship)][str(Hour) + Timeday], Location))
        except KeyError:
            renpy.notify("Make The New KellyAptEventsLvl Variable, or fix the existing one.")

    def initGetPlayed(who, when):
        if who in GalleryEventsUnlocked and when in GalleryEventsUnlocked[who] and GalleryEventsUnlocked[who][when]:
            return True
        return False
