
default GalleryCategory = None
default GalleryLevel = 1
default GalleryCharacter = None

define GalleryEvents = {"1G" : {
"Times" : ["Sleep Morning", "9AM", "10AM", "11AM", "2PM", "3PM", "4PM", "Sleep Mid Day", "7PM", "8PM", "9PM", "10PM", "Sleep Night", "Level up"],
"Sleep Morning" : "GHome_Level1_SleepMorning",
"9AM" : "GHome_Level1_9AM",
"10AM" : "GHome_Level1_10AM",
"11AM" : "GHome_Level1_11AM",
"2PM" : "GHome_Level1_2PM",
"3PM" : "GHome_Level1_3PM",
"4PM" : "GHome_Level1_4PM",
"Sleep Mid Day" : "GHome_Level1_SleepMidday",
"7PM" : "GHome_Level1_7PM",
"8PM" : "GHome_Level1_8PM",
"9PM" : "GHome_Level1_9PM",
"10PM" : "GHome_Level1_10PM",
"Sleep Night" : "GHome_Level1_SleepNight",
"Level up" : "GHome_Levelup1"
},
"2G" : {
"Times" : ["Suzie Morning", "9AM", "10AM", "11AM", "Suzie Afternoon", "2PM", "3PM", "5PM", "Suzie Evening", "7PM", "8PM", "9PM", "10PM", "12AM", "Lvlup1", "Lvlup2"],
"Suzie Morning" : "GHome_Level2_7AM8AM12PM",
"9AM" : "GHome_Level2_9AM",
"10AM" : "GHome_Level2_10AM",
"11AM" : "GHome_Level2_11AM",
"Suzie Afternoon" : "GHome_Level2_1PM4PM",
"2PM" : "GHome_Level2_2PM",
"3PM" : "GHome_Level2_3PM",
"5PM" : "GHome_Level2_5PM",
"Suzie Evening" : "GHome_Level2_6PM11PM",
"7PM" : "GHome_Level2_7PM",
"8PM" : "GHome_Level2_8PM",
"9PM" : "GHome_Level2_9PM",
"10PM" : "GHome_Level2_10PM",
"12AM" : "GHome_Level2_12AM",
"Lvlup1" : "GHome_Levelup2",
"Lvlup2" : "GHome_Levelup2part2"
},
"3G" : {
"Times" : ["10AM", "11AM", "2PM", "3PM", "5PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"10AM" : "GHome_Level3_10AM",
"11AM" : "GHome_Level3_11AM",
"2PM" : "GHome_Level3_2PM",
"3PM" : "GHome_Level3_3PM",
"5PM" : "GHome_Level3_5PM",
"7PM" : "GHome_Level3_7PM",
"8PM" : "GHome_Level3_8PM",
"9PM" : "GHome_Level3_9PM",
"10PM" : "GHome_Level3_10PM",
"11PM" : "GHome_Level3_11PM",
"12AM" : "GHome_Level3_12AM",
},
"1LA" : {
"Times" : ["12PM", "1PM", "2PM", "3PM", "4PM", "5PM", "6PM", "Lvlup"],
"12PM" : "LAStoreLevel1_12PM",
"1PM" : "LAStoreLevel1_1PM",
"2PM" : "LAStoreLevel1_2PM",
"3PM" : "LAStoreLevel1_3PM",
"4PM" : "LAStoreLevel1_4PM",
"5PM" : "LAStoreLevel1_5PM",
"6PM" : "LAStoreLevel1_6PM",
"Lvlup" : "LAStoreLevel1_Lvlup"
},
"2LA" : {
"Times" : ["11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM", "6PM", "8PM", "9PM", "10PM", "11PM", "Lvlup"],
"11AM" : "LAStoreLevel2_11AM",
"12PM" : "LAStoreLevel2_12PM",
"1PM" : "LAStoreLevel2_1PM",
"2PM" : "LAStoreLevel2_2PM",
"3PM" : "LAStoreLevel2_3PM",
"4PM" : "LAStoreLevel2_4PM",
"5PM" : "LAStoreLevel2_5PM",
"6PM" : "LAStoreLevel2_6PM",
"8PM" : "LAHomeLevel2_8PM",
"9PM" : "LAHomeLevel2_9PM",
"10PM" : "LAHomeLevel2_10PM",
"11PM" : "LAHomeLevel2_11PM",
"Lvlup" : "LAStoreLevel2_Lvlup"
},
"3LA" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM", "6PM", "8PM", "9PM", "10PM", "11PM", "Lvlup"],
"10AM" : "LAHomeLevel3_10AM",
"11AM" : "LAStoreLevel3_11AM",
"12PM" : "LAStoreLevel3_12PM",
"1PM" : "LAStoreLevel3_1PM",
"2PM" : "LAStoreLevel3_2PM",
"3PM" : "LAStoreLevel3_3PM",
"4PM" : "LAStoreLevel3_4PM",
"5PM" : "LAStoreLevel3_5PM",
"6PM" : "LAStoreLevel3_6PM",
"8PM" : "LAHomeLevel3_8PM",
"9PM" : "LAHomeLevel3_9PM",
"10PM" : "LAHomeLevel3_10PM",
"11PM" : "LAHomeLevel3_11PM",
"Lvlup" : "LAStoreLevel3_Lvlup"
},
"4LA" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "3PM", "4PM", "5PM", "6PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"10AM" : "LAHomeLevel4_10AM",
"11AM" : "LAStoreLevel4_11AM",
"12PM" : "LAStoreLevel4_12PM",
"1PM" : "LAStoreLevel4_1PM",
"2PM" : "LAStoreLevel4_2PM",
"3PM" : "LAStoreLevel4_3PM",
"4PM" : "LAStoreLevel4_4PM",
"5PM" : "LAStoreLevel4_5PM",
"6PM" : "LAStoreLevel4_6PM",
"8PM" : "LAHomeLevel4_8PM",
"9PM" : "LAHomeLevel4_9PM",
"10PM" : "LAHomeLevel4_10PM",
"11PM" : "LAHomeLevel4_11PM",
"12AM" : "LAHomeLevel4_12AM"
},
"1EV" : {
"Times" : ["Intro", "10AM", "11AM", "3PM", "4PM", "6PM", "7PM", "9PM", "10PM"],
"Intro" : "EveIntro",
"10AM" : "EveLevel1_10AM",
"11AM" : "EveLevel1_11AM",
"3PM" : "EveLevel1_3PM",
"4PM" : "EveLevel1_4PM",
"6PM" : "EveLevel1_6PM",
"7PM" : "EveLevel1_7PM",
"9PM" : "EveLevel1_9PM",
"10PM" : "EveLevel1_10PM"
},
"1LU" : {
"Times" : ["12PM/2PM/3PM", "1PM/4PM", "5PM", "Level up"],
"12PM/2PM/3PM" : "LUSpaLevel1_12PM",
"1PM/4PM" : "LUSpaLevel1_1PM",
"5PM" : "LUSpaLevel1_5PM",
"Level up" : "LUSpaLevel1_Levelup"
},
"2LU" : {
"Times" : ["1PM/4PM", "5PM"],
"1PM/4PM" : "LUSpaLevel2_1PM",
"5PM" : "LUSpaLevel2_5PM",
},
"1KE" : {
"Times" : ["10AM", "11AM", "1PM", "2PM", "3PM", "4PM", "5PM", "Level up"],
"10AM" : "KESpaLevel1_10AM",
"11AM" : "KESpaLevel1_11AM",
"1PM" : "KESpaLevel1_1PM",
"2PM" : "KESpaLevel1_2PM",
"3PM" : "KESpaLevel1_3PM",
"4PM" : "KESpaLevel1_4PM",
"5PM" : "KESpaLevel1_5PM",
"Level up" : "KESpaLevel1_Levelup"
},
"2KE" : {
"Times" : ["10AM", "11AM", "1PM", "2PM", "3PM", "4PM", "5PM", "Level up"],
"10AM" : "KESpaLevel2_10AM",
"11AM" : "KESpaLevel2_11AM",
"1PM" : "KESpaLevel2_1PM",
"2PM" : "KESpaLevel2_2PM",
"3PM" : "KESpaLevel2_3PM",
"4PM" : "KESpaLevel2_4PM",
"5PM" : "KESpaLevel2_5PM",
"Level up" : "KESpaLevel2_Levelup"
},
"3KE" : {
"Times" : ["9AM", "10AM", "11AM", "1PM", "2PM", "3PM", "4PM", "5PM", "8PM", "9PM", "10PM", "11PM"],
"9AM" : "KellyHomeLevel3_9AM",
"10AM" : "KESpaLevel3_10AM",
"11AM" : "KESpaLevel3_11AM",
"1PM" : "KESpaLevel3_1PM",
"2PM" : "KESpaLevel3_2PM",
"3PM" : "KESpaLevel3_3PM",
"4PM" : "KESpaLevel3_4PM",
"5PM" : "KESpaLevel3_5PM",
"8PM" : "KellyHomeLevel3_8PM",
"9PM" : "KellyHomeLevel3_9PM",
"10PM" : "KellyHomeLevel3_10PM",
"11PM" : "KellyHomeLevel3_11PM"
},
"1C" : {
"Times" : ["10AM", "11AM", "1PM", "Level Up"],
"10AM" : "COfficeLevel1_10AM",
"11AM" : "COfficeLevel1_11AM",
"1PM" : "COfficeLevel1_1PM",
"Level Up" : "CLvlup_1"
},
"2C" : {
"Times" : ["10AM", "11AM", "1PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"10AM" : "COfficeLevel2_10AM",
"11AM" : "COfficeLevel2_11AM",
"1PM" : "COfficeLevel2_1PM",
"8PM" : "CAptLevel2_8PM",
"9PM" : "CAptLevel2_9PM",
"10PM" : "CAptLevel2_10PM",
"11PM" : "CAptLevel2_11PM",
"12AM" : "CAptLevel2_12AM"
},
"1J" : {
"Times" : ["10AM", "12PM", "1PM", "Lvl Up"],
"10AM" : "JOfficeLevel1_10AM",
"12PM" : "JOfficeLevel1_12PM",
"1PM" : "JOfficeLevel1_1PM",
"Lvl Up" : "JOfficeLevel1_2PM"
},
"2J" : {
"Times" : ["10AM", "12PM", "1PM", "3PM", "5PM", "6PM", "7PM", "8PM", "11PM", "12AM", "Level up"],
"10AM" : "JOfficeLevel2_10AM",
"12PM" : "JOfficeLevel2_12PM",
"1PM" : "JOfficeLevel2_1PM",
"3PM" : "JOfficeLevel2_3PM",
"5PM" : "JAptLevel2_5PM",
"6PM" : "JAptLevel2_6PM",
"7PM" : "JAptLevel2_7PM",
"8PM" : "JAptLevel2_8PM",
"11PM" : "JAptLevel2_11PM",
"12AM" : "JAptLevel2_12AM",
"Level up" : "JLevelup_2"
},
"3J" : {
"Times" : ["9AM", "10AM", "12PM", "1PM", "3PM", "6PM", "7PM", "8PM", "10PM", "11PM", "12AM", "Level up"],
"9AM" : "JAptLevel3_9AM",
"10AM" : "JOfficeLevel3_10AM",
"12PM" : "JOfficeLevel3_12PM",
"1PM" : "JOfficeLevel3_1PM",
"3PM" : "JOfficeLevel3_3PM",
"6PM" : "JAptLevel3_6PM",
"7PM" : "JAptLevel3_7PM",
"8PM" : "JAptLevel3_8PM",
"10PM" : "JAptLevel3_10PM",
"11PM" : "JAptLevel3_11PM",
"12AM" : "JAptLevel3_12AM",
"Level up" : "JLevelup_3"
},
"4J" : {
"Times" : ["9AM", "10AM", "12PM", "1PM", "3PM", "6PM", "7PM", "9PM", "10PM", "11PM", "12AM"],
"9AM" : "JAptLevel4_9AM",
"10AM" : "JOfficeLevel4_10AM",
"12PM" : "JOfficeLevel4_12PM",
"1PM" : "JOfficeLevel4_1PM",
"3PM" : "JOfficeLevel4_3PM",
"6PM" : "JAptLevel4_6PM",
"7PM" : "JAptLevel4_7PM",
"9PM" : "JAptLevel4_9PM",
"10PM" : "JAptLevel4_10PM",
"11PM" : "JAptLevel4_11PM",
"12AM" : "JAptLevel4_12AM"
},
"1SI" : {
"Times" : ["11AM", "2PM", "Lvl Up"],
"11AM" : "SISchoolLevel1_11AM",
"2PM" : "SISchoolLevel1_2PM",
"Lvl Up" : "SISchoolLevel1_12PM"
},
"2SI" : {
"Times" : ["8AM", "9AM", "11AM", "1PM", "2PM", "3PM", "8PM", "9PM", "10PM", "11PM", "Lvl Up"],
"8AM" : "SIAptLevel2_8AM",
"9AM" : "SIAptLevel2_9AM",
"11AM" : "SISchoolLevel2_11AM",
"1PM" : "SISchoolLevel2_1PM",
"2PM" : "SISchoolLevel2_2PM",
"3PM" : "SISchoolLevel2_3PM",
"8PM" : "SIAptLevel2_8PM",
"9PM" : "SIAptLevel2_9PM",
"10PM" : "SIAptLevel2_10PM",
"11PM" : "SIAptLevel2_11PM",
"Lvl Up" : "SIAptLevelup2"
},
"3SI" : {
"Times" : ["9AM", "11AM", "1PM", "3PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Lvl Up"],
"9AM" : "SIAptLevel3_9AM",
"11AM" : "SISchoolLevel3_11AM",
"1PM" : "SISchoolLevel3_1PM",
"3PM" : "SISchoolLevel3_3PM",
"6PM" : "SIAptLevel3_6PM",
"7PM" : "SIAptLevel3_7PM",
"8PM" : "SIAptLevel3_8PM",
"9PM" : "SIAptLevel3_9PM",
"10PM" : "SIAptLevel3_10PM",
"11PM" : "SIAptLevel3_11PM",
"12AM" : "SIAptLevel3_12AM",
"Lvl Up" : "SIAptLevelup3"
},
"4SI" : {
"Times" : ["9AM", "11AM", "1PM", "3PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"9AM" : "SIAptLevel4_9AM",
"11AM" : "SISchoolLevel4_11AM",
"1PM" : "SISchoolLevel4_1PM",
"3PM" : "SISchoolLevel4_3PM",
"5PM" : "SIAptLevel4_5PM",
"6PM" : "SIAptLevel4_6PM",
"7PM" : "SIAptLevel4_7PM",
"8PM" : "SIAptLevel4_8PM",
"9PM" : "SIAptLevel4_9PM",
"10PM" : "SIAptLevel4_10PM",
"11PM" : "SIAptLevel4_11PM",
"12AM" : "SIAptLevel4_12AM"
},
"1RO" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Level up"],
"10AM" : "NROBedroomLevel1_10AM",
"11AM" : "NBathroomLevel1_11AM",
"12PM" : "ROSchoolLevel1_12PM",
"1PM" : "ROSchoolLevel1_1PM",
"2PM" : "NBathroomLevel1_2PM",
"5PM" : "NROBedroomLevel1_5PM",
"6PM" : "NLivingLevel1_6PM",
"7PM" : "NROBedroomLevel1_7PM",
"8PM" : "NLivingLevel1_8PM",
"9PM" : "NLivingLevel1_9PM",
"10PM" : "NLivingLevel1_10PM",
"11PM" : "NBathroomLevel1_11PM",
"12AM" : "NLivingLevel1_12AM",
"Level up" : "NLevelup_1"
},
"2RO" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Level up"],
"10AM" : "NROBedroomLevel2_10AM",
"11AM" : "NBathroomLevel2_11AM",
"12PM" : "ROSchoolLevel2_12PM",
"1PM" : "ROSchoolLevel2_1PM",
"2PM" : "NBathroomLevel2_2PM",
"5PM" : "NROBedroomLevel2_5PM",
"6PM" : "NLivingLevel2_6PM",
"7PM" : "NROBedroomLevel2_7PM",
"8PM" : "NKitchenLevel2_8PM",
"9PM" : "NKitchenLevel2_9PM",
"10PM" : "NLivingLevel2_10PM",
"11PM" : "NBathroomLevel2_11PM",
"12AM" : "NLivingLevel2_12AM",
"Level up" : "NLevelup_2"
},
"3RO" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"10AM" : "NROBedroomLevel3_10AM",
"11AM" : "NBathroomLevel3_11AM",
"12PM" : "ROSchoolLevel3_12PM",
"1PM" : "ROSchoolLevel3_1PM",
"2PM" : "NBathroomLevel3_2PM",
"5PM" : "NROBedroomLevel3_5PM",
"6PM" : "NLivingLevel3_6PM",
"7PM" : "NROBedroomLevel3_7PM",
"8PM" : "NLivingLevel3_8PM",
"9PM" : "NKitchenLevel3_9PM",
"10PM" : "NLivingLevel3_10PM",
"11PM" : "NBathroomLevel3_11PM",
"12AM" : "NROBedroomLevel3_12AM"
},
"1DO" : {
"Times" : ["10AM", "11AM", "12PM", "1PM", "2PM", "4PM", "9PM", "10PM", "11PM", "12AM", "Level up"],
"10AM" : "NKitchenLevel1_10AM",
"11AM" : "NLivingLevel1_11AM",
"12PM" : "NBathroomLevel1_12PM",
"1PM" : "NLivingLevel1_1PM",
"2PM" : "NDOBedroomLevel1_2PM",
"4PM" : "NDOBedroomLevel1_4PM",
"9PM" : "NLivingLevel1_9PM",
"10PM" : "NLivingLevel1_10PM",
"11PM" : "NBathroomLevel1_11PM",
"12AM" : "NDOBedroomLevel1_12AM",
"Level up" : "NLevelup_1"
},
"2DO" : {
"Times" : ["9AM", "10AM", "11AM", "12PM", "1PM", "4PM", "5PM", "9PM", "10PM", "11PM", "12AM", "Level up"],
"9AM" : "NLivingLevel2_9AM",
"10AM" : "NKitchenLevel2_10AM",
"11AM" : "NKitchenLevel2_11AM",
"12PM" : "NBathroomLevel2_12PM",
"1PM" : "NDOBedroomLevel2_1PM",
"4PM" : "NKitchenLevel2_4PM",
"5PM" : "NDOBedroomLevel2_5PM",
"9PM" : "NKitchenLevel2_9PM",
"10PM" : "NLivingLevel2_10PM",
"11PM" : "NBathroomLevel2_11PM",
"12AM" : "NDOBedroomLevel2_12AM",
"Level up" : "NLevelup_2"
},
"3DO" : {
"Times" : ["9AM", "10AM", "11AM", "12PM", "1PM", "2PM", "5PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"9AM" : "NLivingLevel3_9AM",
"10AM" : "NKitchenLevel3_10AM",
"11AM" : "NLivingLevel3_11AM",
"12PM" : "NBathroomLevel3_12PM",
"1PM" : "NDOBedroomLevel3_1PM",
"2PM" : "NDOBedroomLevel3_2PM3PM4PM6PM7PM",
"5PM" : "NDOBedroomLevel3_5PM",
"8PM" : "NDOBedroomLevel3_8PM",
"9PM" : "NKitchenLevel3_9PM",
"10PM" : "NLivingLevel3_10PM",
"11PM" : "NBathroomLevel3_11PM",
"12AM" : "NLivingLevel3_12AM"
},
"1T" : {
"Times" : ["9AM", "1PM", "2PM", "Level up"],
"9AM" : "TSchoolLevel1_9AM",
"1PM" : "TSchoolLevel1_1PM",
"2PM" : "TSchoolLevel1_2PM",
"Level up" : "TSchoolLevel1_3PM"
},
"2T" : {
"Times" : ["9AM", "1PM", "2PM", "Level up"],
"9AM" : "TSchoolLevel2_9AM",
"1PM" : "TSchoolLevel2_1PM",
"2PM" : "TSchoolLevel2_2PM",
"Level up" : "TSchoolLevel2_3PM"
},
"3T" : {
"Times" : ["9AM", "1PM", "2PM", "3PM", "5PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Level up"],
"9AM" : "TSchoolLevel3_9AM",
"1PM" : "TSchoolLevel3_1PM",
"2PM" : "TSchoolLevel3_2PM",
"3PM" : "TSchoolLevel3_3PM",
"5PM" : "TSchoolLevel3_5PM",
"8PM" : "MayaLevel3_8PM",
"9PM" : "MayaLevel3_9PM",
"10PM" : "MayaLevel3_10PM",
"11PM" : "MayaLevel3_11PM",
"12AM" : "MayaLevel3_12AM",
"Level up" : "MayaLevelup3"
},
"4T" : {
"Times" : ["9AM", "1PM", "2PM", "3PM", "4PM", "5PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"9AM" : "TSchoolLevel4_9AM",
"1PM" : "TSchoolLevel4_1PM",
"2PM" : "TSchoolLevel4_2PM",
"3PM" : "TSchoolLevel4_3PM",
"4PM" : "TSchoolLevel4_4PM",
"5PM" : "TSchoolLevel4_5PM",
"7PM" : "MayaLevel4_7PM",
"8PM" : "MayaLevel4_8PM",
"9PM" : "MayaLevel4_9PM",
"10PM" : "MayaLevel4_10PM",
"11PM" : "MayaLevel4_11PM",
"12AM" : "MayaLevel4_12AM",
},
"1HA" : {
"Times" : ["Intro 1", "Intro 2", "9AM", "12PM", "9PM", "10PM", "11PM", "12AM"],
"Intro 1" : "CoffeeShopIntro1",
"Intro 2" : "CoffeeShopIntro2",
"9AM" : "CoffeeShopLevel1_9AM",
"12PM" : "CoffeeShopLevel1_12PM",
"9PM" : "CoffeeShopLevel1_9PM",
"10PM" : "CoffeeShopLevel1_10PM",
"11PM" : "CoffeeShopLevel1_11PM",
"12AM" : "CoffeeShopLevel1_12AM"
},
"1M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel1_7AM",
"8AM" : "ToiletLevel1_8AM",
"9AM" : "MBedroomLevel1_9AM",
"9AM Wknd" : "MBedroomLevel1_9AMWknd",
"10AM" : "MOfficeLevel1_10AM",
"10AM Wknd" : "MBedroomLevel1_10AMWknd",
"11AM" : "MOfficeLevel1_11AM",
"11AM Wknd" : "KitchenLevel1_11AMWknd",
"12PM" : "MOfficeLevel1_12PM",
"12PM Wknd" : "PoolLvl1_12PMWknd",
"1PM" : "MOfficeLevel1_1PM",
"1PM Wknd" : "LoungeLvl1_1PMWknd",
"2PM" : "PoolLvl1_2PM",
"3PM" : "SPoolLvl2_3PMM",
"4PM" : "PoolLvl2_4PMM",
"5PM" : "KitchenLevel1_5PM",
"6PM" : "LoungeLvl1_6PM",
"7PM" : "BathroomLevel1_7PM",
"8PM" : "LoungeLvl1_8PM",
"9PM" : "MBedroomLevel1_9PM",
"10PM" : "MBedroomLevel1_10PM",
"11PM" : "MBedroomLevel1_11PM",
"12AM" : "MBedroomLevel1_12AM",
"Weekend" : "SpaInviteLvl1_10AMDayOut",
"Date" : "MBedroomLevel1_5PMDate",
"Level up" : "LoungeLvlup1"
},
"1S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel1_7AM",
"8AM" : "BathroomLevel1_8AM",
"9AM" : "SBedroomLevel1_9AM",
"9AM Wknd" : "SBedroomLevel1_9AMWknd",
"10AM" : "SSchoolLevel1_10AM",
"10AM Wknd" : "SBedroomLevel1_10AMWknd",
"11AM" : "SSchoolLevel1_11AM",
"11AM Wknd" : "KitchenLevel1_11AMWknd",
"12PM" : "SSchoolLevel1_12PM",
"12PM Wknd" : "PoolLvl1_12PMWknd",
"1PM" : "SSchoolLevel1_1PM",
"1PM Wknd" : "SBedroomLevel1_1PMWknd",
"2PM" : "PoolLvl1_2PM",
"3PM" : "PoolMSLvl1S3PM",
"4PM" : "PoolLvl2_4PMS",
"5PM" : "SBedroomLevel1_5PM",
"6PM" : "LoungeLvl1_6PM",
"7PM" : "KitchenLevel1_7PM",
"8PM" : "BathroomLevel1_8PM",
"9PM" : "LoungeLvl1_9PM",
"10PM" : "SBedroomLevel1_10PM",
"11PM" : "SBedroomLevel1_11PM",
"12AM" : "SBedroomLevel1_12AM",
"Weekend" : "SpaInviteLvl1_10AMDayOut",
"Date" : "SBedroomLevel1_5PMDate",
"Level up" : "LoungeLvlup1"
},
"2M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel2_7AM",
"8AM" : "ToiletLevel2_8AM",
"9AM" : "MBedroomLevel2_9AM",
"9AM Wknd" : "MBedroomLevel2_9AMWknd",
"10AM" : "MOfficeLevel2_10AM",
"10AM Wknd" : "MBedroomLevel2_10AMWknd",
"11AM" : "MOfficeLevel2_11AM",
"11AM Wknd" : "KitchenLevel2_11AMWknd",
"12PM" : "MOfficeLevel2_12PM",
"12PM Wknd" : "PoolLvl2_12PMWknd",
"1PM" : "MOfficeLevel2_1PM",
"1PM Wknd" : "LoungeLvl2_1PMWknd",
"2PM" : "PoolLvl2_2PM",
"3PM" : "SPoolLvl2_3PMM",
"4PM" : "PoolLvl2_4PMM",
"5PM" : "KitchenLevel1_5PM",
"6PM" : "LoungeLvl2_6PM",
"7PM" : "BathroomLevel1_7PM",
"8PM" : "LoungeLvl2_8PM",
"9PM" : "MBedroomLevel1_9PM",
"10PM" : "MBedroomLevel2_10PM",
"11PM" : "MBedroomLevel1_11PM",
"12AM" : "MBedroomLevel1_12AM",
"Weekend" : "SpaInviteLvl2_10AMDayOut",
"Date" : "MBedroomLevel2_5PMDate",
"Level up" : "LoungeLvlup2"
},
"2S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel2_7AM",
"8AM" : "BathroomLevel2_8AM",
"9AM" : "SBedroomLevel2_9AM",
"9AM Wknd" : "SBedroomLevel2_9AMWknd",
"10AM" : "SSchoolLevel2_10AM",
"10AM Wknd" : "SBedroomLevel2_10AMWknd",
"11AM" : "SSchoolLevel2_11AM",
"11AM Wknd" : "KitchenLevel2_11AMWknd",
"12PM" : "SSchoolLevel2_12PM",
"12PM Wknd" : "PoolLvl2_12PMWknd",
"1PM" : "SSchoolLevel2_1PM",
"1PM Wknd" : "SBedroomLevel2_1PMWknd",
"2PM" : "PoolLvl2_2PM",
"3PM" : "SPoolLvl2_3PMS",
"4PM" : "PoolLvl2_4PMS",
"5PM" : "SBedroomLevel2_5PM",
"6PM" : "LoungeLvl2_6PM",
"7PM" : "KitchenLevel1_7PM",
"8PM" : "BathroomLevel1_8PM",
"9PM" : "LoungeLvl1_9PM",
"10PM" : "SBedroomLevel2_10PM",
"11PM" : "SBedroomLevel1_11PM",
"12AM" : "SBedroomLevel1_12AM",
"Weekend" : "SpaInviteLvl2_10AMDayOut",
"Date" : "SBedroomLevel2_5PMDate",
"Level up" : "LoungeLvlup2"
},
"3M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel3_7AM",
"8AM" : "ToiletLevel3_8AM",
"9AM" : "MBedroomLevel3_9AM",
"9AM Wknd" : "MBedroomLevel3_9AMWknd",
"10AM" : "MOfficeLevel3_10AM",
"10AM Wknd" : "MBedroomLevel3_10AMWknd",
"11AM" : "MOfficeLevel3_11AM",
"11AM Wknd" : "KitchenLevel3_11AMWknd",
"12PM" : "MOfficeLevel3_12PM",
"12PM Wknd" : "PoolLvl3_12PMWknd",
"1PM" : "MOfficeLevel3_1PM",
"1PM Wknd" : "LoungeLvl3_1PMWknd",
"2PM" : "PoolLvl3_2PM",
"3PM" : "SPoolLvl3_3PMM",
"4PM" : "SPoolLvl3_4PMM",
"5PM" : "KitchenLevel3_5PM",
"6PM" : "LoungeLvl3_6PM",
"7PM" : "BathroomLevel3_7PM",
"8PM" : "LoungeLvl3_8PM",
"9PM" : "MBedroomLevel3_9PM",
"10PM" : "MBedroomLevel3_10PM",
"11PM" : "MBedroomLevel3_11PM",
"12AM" : "MBedroomLevel3_12AM",
"Weekend" : "SpaInviteLvl3_10AMDayOut",
"Date" : "MBedroomLevel3_5PMDate",
"Level up" : "LoungeLvlup3"
},
"3S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel3_7AM",
"8AM" : "BathroomLevel3_8AM",
"9AM" : "SBedroomLevel3_9AM",
"9AM Wknd" : "SBedroomLevel3_9AMWknd",
"10AM" : "SSchoolLevel3_10AM",
"10AM Wknd" : "SBedroomLevel3_10AMWknd",
"11AM" : "SSchoolLevel3_11AM",
"11AM Wknd" : "KitchenLevel3_11AMWknd",
"12PM" : "SSchoolLevel3_12PM",
"12PM Wknd" : "PoolLvl3_12PMWknd",
"1PM" : "SSchoolLevel3_1PM",
"1PM Wknd" : "SBedroomLevel3_1PMWknd",
"2PM" : "PoolLvl3_2PM",
"3PM" : "SPoolLvl3_3PMS",
"4PM" : "SPoolLvl3_4PMS",
"5PM" : "SBedroomLevel3_5PM",
"6PM" : "LoungeLvl3_6PM",
"7PM" : "KitchenLevel3_7PM",
"8PM" : "BathroomLevel3_8PM",
"9PM" : "LoungeLvl3_9PM",
"10PM" : "SBedroomLevel3_10PM",
"11PM" : "SBedroomLevel3_11PM",
"12AM" : "SBedroomLevel3_12AM",
"Weekend" : "SpaInviteLvl3_10AMDayOut",
"Date" : "SBedroomLevel3_5PMDate",
"Level up" : "LoungeLvlup3"
},
"4M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel4_7AM",
"8AM" : "ToiletLevel4_8AM",
"9AM" : "MBedroomLevel4_9AM",
"9AM Wknd" : "MBedroomLevel4_9AMWknd",
"10AM" : "MOfficeLevel4_10AM",
"10AM Wknd" : "MBedroomLevel4_10AMWknd",
"11AM" : "MOfficeLevel4_11AM",
"11AM Wknd" : "KitchenLevel4_11AMWknd",
"12PM" : "MOfficeLevel4_12PM",
"12PM Wknd" : "PoolLvl4_12PMWknd",
"1PM" : "MOfficeLevel4_1PM",
"1PM Wknd" : "LoungeLvl4_1PMWknd",
"2PM" : "PoolLvl4_2PM",
"3PM" : "PoolLvl4_3PMM",
"4PM" : "PoolLvl4_4PMM",
"5PM" : "KitchenLevel4_5PM",
"6PM" : "LoungeLvl4_6PM",
"7PM" : "BathroomLevel4_7PM",
"8PM" : "LoungeLvl4_8PM",
"9PM" : "MBedroomLevel4_9PM",
"10PM" : "MBedroomLevel4_10PM",
"11PM" : "MBedroomLevel4_11PM",
"12AM" : "MBedroomLevel4_12AM",
"Weekend" : "SpaInviteLvl4_10AMDayOut",
"Date" : "MBedroomLevel4_5PMDate",
"Level up" : "LoungeLvlup4"
},
"4S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel4_7AM",
"8AM" : "BathroomLevel4_8AM",
"9AM" : "SBedroomLevel4_9AM",
"9AM Wknd" : "SBedroomLevel4_9AMWknd",
"10AM" : "SSchoolLevel4_10AM",
"10AM Wknd" : "SBedroomLevel4_10AMWknd",
"11AM" : "SSchoolLevel4_11AM",
"11AM Wknd" : "KitchenLevel4_11AMWknd",
"12PM" : "SSchoolLevel4_12PM",
"12PM Wknd" : "PoolLvl4_12PMWknd",
"1PM" : "SSchoolLevel4_1PM",
"1PM Wknd" : "SBedroomLevel4_1PMWknd",
"2PM" : "PoolLvl4_2PM",
"3PM" : "PoolLvl4_3PMS",
"4PM" : "PoolLvl4_4PMS",
"5PM" : "SBedroomLevel4_5PM",
"6PM" : "LoungeLvl4_6PM",
"7PM" : "KitchenLevel4_7PM",
"8PM" : "BathroomLevel4_8PM",
"9PM" : "LoungeLvl4_9PM",
"10PM" : "SBedroomLevel4_10PM",
"11PM" : "SBedroomLevel4_11PM",
"12AM" : "SBedroomLevel4_12AM",
"Weekend" : "SpaInviteLvl4_10AMDayOut",
"Date" : "SBedroomLevel4_5PMDate",
"Level up" : "LoungeLvlup4"
},
"5M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel5_7AM",
"8AM" : "ToiletLevel5_8AM",
"9AM" : "MBedroomLevel5_9AM",
"9AM Wknd" : "MBedroomLevel5_9AMWknd",
"10AM" : "MOfficeLevel5_10AM",
"10AM Wknd" : "MBedroomLevel5_10AMWknd",
"11AM" : "MOfficeLevel5_11AM",
"11AM Wknd" : "KitchenLevel5_11AMWknd",
"12PM" : "MOfficeLevel5_12PM",
"12PM Wknd" : "PoolLvl5_12PMWknd",
"1PM" : "MOfficeLevel5_1PM",
"1PM Wknd" : "LoungeLvl5_1PMWknd",
"2PM" : "PoolLvl5_2PM",
"3PM" : "PoolLvl5_3PMM",
"4PM" : "PoolLvl5_4PMM",
"5PM" : "KitchenLevel5_5PM",
"6PM" : "LoungeLvl5_6PM",
"7PM" : "BathroomLevel5_7PM",
"8PM" : "LoungeLvl5_8PM",
"9PM" : "MBedroomLevel5_9PM",
"10PM" : "MBedroomLevel5_10PM",
"11PM" : "MBedroomLevel5_11PM",
"12AM" : "MBedroomLevel5_12AM",
"Weekend" : "SpaInviteLvl5_10AMDayOut",
"Date" : "MBedroomLevel5_5PMDate",
"Level up" : "LoungeLvlup5"
},
"5S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel5_7AM",
"8AM" : "BathroomLevel5_8AM",
"9AM" : "SBedroomLevel5_9AM",
"9AM Wknd" : "SBedroomLevel5_9AMWknd",
"10AM" : "SSchoolLevel5_10AM",
"10AM Wknd" : "SBedroomLevel5_10AMWknd",
"11AM" : "SSchoolLevel5_11AM",
"11AM Wknd" : "KitchenLevel5_11AMWknd",
"12PM" : "SSchoolLevel5_12PM",
"12PM Wknd" : "PoolLvl5_12PMWknd",
"1PM" : "SSchoolLevel5_1PM",
"1PM Wknd" : "SBedroomLevel5_1PMWknd",
"2PM" : "PoolLvl5_2PM",
"3PM" : "PoolLvl5_3PMS",
"4PM" : "PoolLvl5_4PMS",
"5PM" : "SBedroomLevel5_5PM",
"6PM" : "LoungeLvl5_6PM",
"7PM" : "KitchenLevel5_7PM",
"8PM" : "BathroomLevel5_8PM",
"9PM" : "LoungeLvl5_9PM",
"10PM" : "SBedroomLevel5_10PM",
"11PM" : "SBedroomLevel5_11PM",
"12AM" : "SBedroomLevel5_12AM",
"Weekend" : "SpaInviteLvl5_10AMDayOut",
"Date" : "SBedroomLevel5_5PMDate",
"Level up" : "LoungeLvlup5"
},
"6M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel6_7AM",
"8AM" : "ToiletLevel6_8AM",
"9AM" : "MBedroomLevel6_9AM",
"9AM Wknd" : "MBedroomLevel6_9AMWknd",
"10AM" : "MOfficeLevel6_10AM",
"10AM Wknd" : "MBedroomLevel6_10AMWknd",
"11AM" : "MOfficeLevel6_11AM",
"11AM Wknd" : "KitchenLevel6_11AMWknd",
"12PM" : "MOfficeLevel6_12PM",
"12PM Wknd" : "PoolLvl6_12PMWknd",
"1PM" : "MOfficeLevel6_1PM",
"1PM Wknd" : "LoungeLvl6_1PMWknd",
"2PM" : "PoolLvl6_2PM",
"3PM" : "PoolLvl6_3PMM",
"4PM" : "PoolLvl6_4PMM",
"5PM" : "KitchenLevel6_5PM",
"6PM" : "LoungeLvl6_6PM",
"7PM" : "BathroomLevel6_7PM",
"8PM" : "LoungeLvl6_8PM",
"9PM" : "MBedroomLevel6_9PM",
"10PM" : "MBedroomLevel6_10PM",
"11PM" : "MBedroomLevel6_11PM",
"12AM" : "MBedroomLevel6_12AM",
"Weekend" : "SpaInviteLvl6_10AMDayOut",
"Date" : "MBedroomLevel6_5PMDate",
"Level up" : "LoungeLvlup6"
},
"6S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel6_7AM",
"8AM" : "BathroomLevel6_8AM",
"9AM" : "SBedroomLevel6_9AM",
"9AM Wknd" : "SBedroomLevel6_9AMWknd",
"10AM" : "SSchoolLevel6_10AM",
"10AM Wknd" : "SBedroomLevel6_10AMWknd",
"11AM" : "SSchoolLevel6_11AM",
"11AM Wknd" : "KitchenLevel6_11AMWknd",
"12PM" : "SSchoolLevel6_12PM",
"12PM Wknd" : "PoolLvl6_12PMWknd",
"1PM" : "SSchoolLevel6_1PM",
"1PM Wknd" : "SBedroomLevel6_1PMWknd",
"2PM" : "PoolLvl6_2PM",
"3PM" : "PoolLvl6_3PMS",
"4PM" : "PoolLvl6_4PMS",
"5PM" : "SBedroomLevel6_5PM",
"6PM" : "LoungeLvl6_6PM",
"7PM" : "KitchenLevel6_7PM",
"8PM" : "BathroomLevel6_8PM",
"9PM" : "LoungeLvl6_9PM",
"10PM" : "SBedroomLevel6_10PM",
"11PM" : "SBedroomLevel6_11PM",
"12AM" : "SBedroomLevel6_12AM",
"Weekend" : "SpaInviteLvl6_10AMDayOut",
"Date" : "SBedroomLevel6_5PMDate",
"Level up" : "LoungeLvlup6"
},
"7M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "BathroomLevel7_7AM",
"8AM" : "ToiletLevel7_8AM",
"9AM" : "MBedroomLevel7_9AM",
"9AM Wknd" : "MBedroomLevel7_9AMWknd",
"10AM" : "MOfficeLevel7_10AM",
"10AM Wknd" : "MBedroomLevel7_10AMWknd",
"11AM" : "MOfficeLevel7_11AM",
"11AM Wknd" : "KitchenLevel7_11AMWknd",
"12PM" : "MOfficeLevel7_12PM",
"12PM Wknd" : "PoolLvl7_12PMWknd",
"1PM" : "MOfficeLevel7_1PM",
"1PM Wknd" : "LoungeLvl7_1PMWknd",
"2PM" : "PoolLvl7_2PM",
"3PM" : "PoolLvl7_3PMM",
"4PM" : "PoolLvl7_4PMM",
"5PM" : "KitchenLevel7_5PM",
"6PM" : "LoungeLvl7_6PM",
"7PM" : "BathroomLevel7_7PM",
"8PM" : "LoungeLvl7_8PM",
"9PM" : "MBedroomLevel7_9PM",
"10PM" : "MBedroomLevel7_10PM",
"11PM" : "MBedroomLevel7_11PM",
"12AM" : "MBedroomLevel7_12AM",
"Weekend" : "SpaInviteLvl7_10AMDayOut",
"Date" : "MBedroomLevel7_5PMDate",
"Level up" : "LoungeLvlup7"
},
"7S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Date", "Level up"],
"7AM" : "ToiletLevel7_7AM",
"8AM" : "BathroomLevel7_8AM",
"9AM" : "SBedroomLevel7_9AM",
"9AM Wknd" : "SBedroomLevel7_9AMWknd",
"10AM" : "SSchoolLevel7_10AM",
"10AM Wknd" : "SBedroomLevel7_10AMWknd",
"11AM" : "SSchoolLevel7_11AM",
"11AM Wknd" : "KitchenLevel7_11AMWknd",
"12PM" : "SSchoolLevel7_12PM",
"12PM Wknd" : "PoolLvl7_12PMWknd",
"1PM" : "SSchoolLevel7_1PM",
"1PM Wknd" : "SBedroomLevel7_1PMWknd",
"2PM" : "PoolLvl7_2PM",
"3PM" : "PoolLvl7_3PMS",
"4PM" : "PoolLvl7_4PMS",
"5PM" : "SBedroomLevel7_5PM",
"6PM" : "LoungeLvl7_6PM",
"7PM" : "KitchenLevel7_7PM",
"8PM" : "BathroomLevel7_8PM",
"9PM" : "LoungeLvl7_9PM",
"10PM" : "SBedroomLevel7_10PM",
"11PM" : "SBedroomLevel7_11PM",
"12AM" : "SBedroomLevel7_12AM",
"Weekend" : "SpaInviteLvl7_10AMDayOut",
"Date" : "SBedroomLevel7_5PMDate",
"Level up" : "LoungeLvlup7"
},
"8M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "Date Solo", "Date", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Cabin Intro", "Day 1 Afternoon", "Day 1 Evening", "Day 1 Night", "Day 2 Morning", "Day 2 Afternoon", "Day 2 Evening", "Day 2 Night", "Day 3 Morning", "Day 3 Afternoon", "Day 3 Evening", "Day 3 Night", "Day 4 Morning", "Day 4 Afternoon", "Day 4 Outro"],
"7AM" : "BathroomLevel8_7AM",
"8AM" : "ToiletLevel8_8AM",
"9AM" : "MBedroomLevel8_9AM",
"9AM Wknd" : "MBedroomLevel8_9AMWknd",
"10AM" : "MBedroomLevel8_10AM",
"10AM Wknd" : "MBedroomLevel8_10AMWknd",
"11AM" : "MBedroomLevel8_11AM",
"11AM Wknd" : "KitchenLevel8_11AMWknd",
"12PM" : "MBedroomLevel8_12PM",
"12PM Wknd" : "LoungeLvl8_12PMWknd",
"1PM" : "MBedroomLevel8_1PM",
"1PM Wknd" : "LoungeLvl8_1PMWknd",
"2PM" : "PoolLvl8_2PM",
"3PM" : "PoolLvl8_3PMM",
"4PM" : "PoolLvl8_4PMM",
"5PM" : "KitchenLevel8_5PM",
"Date Solo" : "MBedroomLevel8_5PMDate",
"Date" : "MBedroomLevel8_5PMDateTogether",
"6PM" : "LoungeLvl8_6PM",
"7PM" : "BathroomLevel8_7PM",
"8PM" : "LoungeLvl8_8PM",
"9PM" : "MBedroomLevel8_9PM",
"10PM" : "MBedroomLevel8_10PM",
"11PM" : "MBedroomLevel8_11PM",
"12AM" : "MBedroomLevel8_12AM",
"Weekend" : "SpaInviteLvl8_10AMDayOut",
"Cabin Intro" : "CabinIntro",
"Day 1 Afternoon" : "Day1CabinAfternoon",
"Day 1 Evening" : "Day1CabinEvening",
"Day 1 Night" : "Day1CabinNight",
"Day 2 Morning" : "Day2CabinMorning",
"Day 2 Afternoon" : "Day2CabinAfternoon",
"Day 2 Evening" : "Day2CabinEvening",
"Day 2 Night" : "Day2CabinNight",
"Day 3 Morning" : "Day3CabinMorning",
"Day 3 Afternoon" : "Day3CabinAfternoon",
"Day 3 Evening" : "Day3CabinEvening",
"Day 3 Night" : "Day3CabinNight",
"Day 4 Morning" : "Day4CabinMorning",
"Day 4 Afternoon" : "Day4CabinAfternoon",
"Day 4 Outro" : "Day4CabinOutro"
},
"8S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "Date Solo", "Date", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM", "Weekend", "Cabin Intro", "Day 1 Afternoon", "Day 1 Evening", "Day 1 Night", "Day 2 Morning", "Day 2 Afternoon", "Day 2 Evening", "Day 2 Night", "Day 3 Morning", "Day 3 Afternoon", "Day 3 Evening", "Day 3 Night", "Day 4 Morning", "Day 4 Afternoon", "Day 4 Outro"],
"7AM" : "ToiletLevel8_7AM",
"8AM" : "BathroomLevel8_8AM",
"9AM" : "SBedroomLevel8_9AM",
"9AM Wknd" : "SBedroomLevel8_9AMWknd",
"10AM" : "SBedroomLevel8_10AM",
"10AM Wknd" : "SBedroomLevel8_10AMWknd",
"11AM" : "SBedroomLevel8_11AM",
"11AM Wknd" : "KitchenLevel8_11AMWknd",
"12PM" : "SBedroomLevel8_12PM",
"12PM Wknd" : "LoungeLvl8_12PMWknd",
"1PM" : "SBedroomLevel8_1PM",
"1PM Wknd" : "SBedroomLevel8_1PMWknd",
"2PM" : "PoolLvl8_2PM",
"3PM" : "PoolLvl8_3PMS",
"4PM" : "PoolLvl8_4PMS",
"5PM" : "SBedroomLevel8_5PM",
"Date Solo" : "SBedroomLevel8_5PMDate",
"Date" : "SBedroomLevel8_5PMDateTogether",
"6PM" : "LoungeLvl8_6PM",
"7PM" : "KitchenLevel8_7PM",
"8PM" : "BathroomLevel8_8PM",
"9PM" : "LoungeLvl8_9PM",
"10PM" : "SBedroomLevel8_10PM",
"11PM" : "SBedroomLevel8_11PM",
"12AM" : "SBedroomLevel8_12AM",
"Weekend" : "SpaInviteLvl8_10AMDayOut",
"Cabin Intro" : "CabinIntro",
"Day 1 Afternoon" : "Day1CabinAfternoon",
"Day 1 Evening" : "Day1CabinEvening",
"Day 1 Night" : "Day1CabinNight",
"Day 2 Morning" : "Day2CabinMorning",
"Day 2 Afternoon" : "Day2CabinAfternoon",
"Day 2 Evening" : "Day2CabinEvening",
"Day 2 Night" : "Day2CabinNight",
"Day 3 Morning" : "Day3CabinMorning",
"Day 3 Afternoon" : "Day3CabinAfternoon",
"Day 3 Evening" : "Day3CabinEvening",
"Day 3 Night" : "Day3CabinNight",
"Day 4 Morning" : "Day4CabinMorning",
"Day 4 Afternoon" : "Day4CabinAfternoon",
"Day 4 Outro" : "Day4CabinOutro"
},
"9M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "Date Solo", "Date", "6PM", "7PM", "8PM", "9PM", "Friday Date", "10PM", "11PM", "12AM", "Weekend", "Level up"],
"7AM" : "BathroomLevel9_7AM",
"8AM" : "ToiletLevel9_8AM",
"9AM" : "MBedroomLevel9_9AM",
"9AM Wknd" : "MBedroomLevel9_9AMWknd",
"10AM" : "MOfficeLevel9_10AM",
"10AM Wknd" : "MBedroomLevel9_10AMWknd",
"11AM" : "MOfficeLevel9_11AM",
"11AM Wknd" : "KitchenLevel9_11AMWknd",
"12PM" : "MOfficeLevel9_12PM",
"12PM Wknd" : "LoungeLvl9_12PMWknd",
"1PM" : "MOfficeLevel9_1PM",
"1PM Wknd" : "LoungeLvl9_1PMWknd",
"2PM" : "PoolLvl9_2PM",
"3PM" : "PoolLvl9_3PMM",
"4PM" : "PoolLvl9_4PMM",
"5PM" : "KitchenLevel9_5PM",
"Date" : "MBedroomLevel9_5PMDateTogether",
"Date Solo" : "MBedroomLevel9_5PMDate",
"6PM" : "LoungeLvl9_6PM",
"7PM" : "BathroomLevel9_7PM",
"8PM" : "LoungeLvl9_8PM",
"9PM" : "MBedroomLevel9_9PM",
"Friday Date": "MBedroomLevel9_Friday9PMDate",
"10PM" : "MBedroomLevel9_10PM",
"11PM" : "MBedroomLevel9_11PM",
"12AM" : "MBedroomLevel9_12AM",
"Weekend" : "SpaInviteLvl9_10AM",
"Level up" : "LoungeLvlup9"
},
"9S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM Wknd", "10AM", "10AM Wknd", "11AM", "11AM Wknd", "12PM", "12PM Wknd", "1PM", "1PM Wknd", "2PM", "3PM", "4PM", "5PM", "Date Solo", "Date", "6PM", "7PM", "8PM", "9PM", "Friday Date", "10PM", "11PM", "12AM", "Weekend", "Level up"],
"7AM" : "ToiletLevel9_7AM",
"8AM" : "BathroomLevel9_8AM",
"9AM" : "SBedroomLevel9_9AM",
"9AM Wknd" : "SBedroomLevel9_9AMWknd",
"10AM" : "SOfficeLevel9_10AM",
"10AM Wknd" : "SBedroomLevel9_10AMWknd",
"11AM" : "SOfficeLevel9_11AM",
"11AM Wknd" : "KitchenLevel9_11AMWknd",
"12PM" : "SSchoolLevel9_12PM",
"12PM Wknd" : "LoungeLvl9_12PMWknd",
"1PM" : "SSchoolLevel9_1PM",
"1PM Wknd" : "SBedroomLevel9_1PMWknd",
"2PM" : "PoolLvl9_2PM",
"3PM" : "PoolLvl9_3PMS",
"4PM" : "PoolLvl9_4PMS",
"5PM" : "SBedroomLevel9_5PM",
"Date" : "SBedroomLevel9_5PMDateTogether",
"Date Solo" : "SBedroomLevel9_5PMDate",
"6PM" : "LoungeLvl9_6PM",
"7PM" : "KitchenLevel9_7PM",
"8PM" : "BathroomLevel9_8PM",
"9PM" : "LoungeLvl9_9PM",
"Friday Date": "SBedroomLevel9_Friday10PMDate",
"10PM" : "SBedroomLevel9_10PM",
"11PM" : "SBedroomLevel9_11PM",
"12AM" : "SBedroomLevel9_12AM",
"Weekend" : "SpaInviteLvl9_10AM",
"Level up" : "LoungeLvlup9"
},
"10M" : {
"Times" : []
},
"10S" : {
"Times" : []
}
}

default GalleryEventsUnlocked = {}

define GalleryTexts = {
"Times" : ["7AM", "7AM-Wknd", "7AM-Mon", "8AM", "8AM-Wknd", "8AM-Mon", "9AM", "9AM-Wknd", "9AM-Mon", "10AM", "10AM-Wknd", "10AM-Mon", "11AM", "11AM-Wknd", "11AM-Mon", "12PM", "12PM-Wknd", "12PM-Mon", "1PM", "1PM-Wknd", "1PM-Mon", "2PM", "2PM-Wknd", "2PM-Mon", "3PM", "3PM-Wknd", "3PM-Mon", "4PM", "4PM-Wknd", "4PM-Mon", "5PM", "5PM-Wknd", "5PM-Mon", "6PM", "6PM-Wknd", "6PM-Mon", "7PM", "7PM-Wknd", "7PM-Mon", "8PM", "8PM-Wknd", "8PM-Mon", "9PM", "9PM-Wknd", "9PM-Mon", "10PM", "10PM-Wknd", "10PM-Mon", "11PM", "11PM-Wknd", "11PM-Mon", "12AM", "12AM-Wknd", "12AM-Mon"],
"7AM" : [7, "AM"],
"7AM-Wknd" : [7, "AM-Wknd"],
"7AM-Mon" : [7, "AM-Mon"],
"8AM" : [8, "AM"],
"8AM-Wknd" : [8, "AM-Wknd"],
"8AM-Mon" : [8, "AM-Mon"],
"9AM" : [9, "AM"],
"9AM-Wknd" : [9, "AM-Wknd"],
"9AM-Mon" : [9, "AM-Mon"],
"10AM" : [10, "AM"],
"10AM-Wknd" : [10, "AM-Wknd"],
"10AM-Mon" : [10, "AM-Mon"],
"11AM" : [11, "AM"],
"11AM-Wknd" : [11, "AM-Wknd"],
"11AM-Mon" : [11, "AM-Mon"],
"12PM" : [12, "PM"],
"12PM-Wknd" : [12, "PM-Wknd"],
"12PM-Mon" : [12, "PM-Mon"],
"1PM" : [1, "PM"],
"1PM-Wknd" : [1, "PM-Wknd"],
"1PM-Mon" : [1, "PM-Mon"],
"2PM" : [2, "PM"],
"2PM-Wknd" : [2, "PM-Wknd"],
"2PM-Mon" : [2, "PM-Mon"],
"3PM" : [3, "PM"],
"3PM-Wknd" : [3, "PM-Wknd"],
"3PM-Mon" : [3, "PM-Mon"],
"4PM" : [4, "PM"],
"4PM-Wknd" : [4, "PM-Wknd"],
"4PM-Mon" : [4, "PM-Mon"],
"5PM" : [5, "PM"],
"5PM-Wknd" : [5, "PM-Wknd"],
"5PM-Mon" : [5, "PM-Mon"],
"6PM" : [6, "PM"],
"6PM-Wknd" : [6, "PM-Wknd"],
"6PM-Mon" : [6, "PM-Mon"],
"7PM" : [7, "PM"],
"7PM-Wknd" : [7, "PM-Wknd"],
"7PM-Mon" : [7, "PM-Mon"],
"8PM" : [8, "PM"],
"8PM-Wknd" : [8, "PM-Wknd"],
"8PM-Mon" : [8, "PM-Mon"],
"9PM" : [9, "PM"],
"9PM-Wknd" : [9, "PM-Wknd"],
"9PM-Mon" : [9, "PM-Mon"],
"10PM" : [10, "PM"],
"10PM-Wknd" : [10, "PM-Wknd"],
"10PM-Mon" : [10, "PM-Mon"],
"11PM" : [11, "PM"],
"11PM-Wknd" : [11, "PM-Wknd"],
"11PM-Mon" : [11, "PM-Mon"],
"12AM" : [12, "AM"],
"12AM-Wknd" : [12, "AM-Wknd"],
"12AM-Mon" : [12, "AM-Mon"]
}

default GalleryTextsUnlocked = {}

define GalleryCams = {
"1M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "MLaptop"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"1S" : {
"Times" : ["7AM", "8AM", "9AM Bedroom", "9AM Laptop", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "5PM Laptop", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM Bedroom" : [9, "AM", "SBedroom"],
"9AM Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"5PM Laptop" : [5, "PM", "SLaptop"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"2M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "MLaptop"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"2S" : {
"Times" : ["7AM", "8AM", "9AM Bedroom", "9AM Laptop", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "5PM Laptop", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM Bedroom" : [9, "AM", "SBedroom"],
"9AM Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"5PM Laptop" : [5, "PM", "SLaptop"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"3M" : {
"Times" : ["8AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"8AM" : [8, "AM", "Toilet"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "MLaptop"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"3S" : {
"Times" : ["8AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "5PM Laptop", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"8AM" : [8, "AM", "Shower"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"5PM Laptop" : [5, "PM", "SLaptop"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"4M" : {
"Times" : ["9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "MLaptop"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"4S" : {
"Times" : ["9AM Bedroom", "9AM Laptop", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "5PM Laptop", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"9AM Bedroom" : [9, "AM", "SBedroom"],
"9AM Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"5PM Laptop" : [5, "PM", "SLaptop"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"5M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "MLaptop"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"5S" : {
"Times" : ["7AM", "8AM", "9AM Bedroom", "9AM Laptop", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "5PM Laptop", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM Bedroom" : [9, "AM", "SBedroom"],
"9AM Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"5PM Laptop" : [5, "PM", "SLaptop"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"6M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"6S" : {
"Times" : ["7AM", "8AM", "9AM Bedroom", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM Bedroom" : [9, "AM", "SBedroom"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"7M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "MBedroom"],
"9AM-Wknd" : [9, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MBedroom"],
"12AM" : [12, "AM", "MBedroom"]
},
"7S" : {
"Times" : ["7AM", "8AM", "9AM Laptop", "9AM-Wknd", "10AM-Wknd", "11AM-Wknd", "12PM-Wknd", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM-Wknd" : [12, "PM", "Outside"],
"1PM-Wknd" : [1, "PM", "SBedroom"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "SBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"12AM" : [12, "AM", "SBedroom"]
},
"8M" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd", "10AM", "10AM-Wknd Laptop", "10AM-Wknd", "11AM", "11AM-Wknd", "12PM", "12PM-Wknd", "1PM", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM", "6PM", "7PM", "8PM", "9PM", "10PM", "11PM", "12AM"],
"7AM" : [7, "AM", "Shower"],
"8AM" : [8, "AM", "Toilet"],
"9AM" : [9, "AM", "SBedroom"],
"9AM-Wknd" : [9, "AM", "MBedroom"],
"10AM" : [10, "AM", "MLaptop"],
"10AM-Wknd Laptop" : [10, "AM", "MLaptop"],
"10AM-Wknd" : [10, "AM", "MBedroom"],
"11AM" : [11, "AM", "MBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM" : [12, "PM", "MBedroom"],
"12PM-Wknd" : [12, "PM", "Lounge"],
"1PM" : [1, "PM", "MBedroom"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Outside"],
"4PM" : [4, "PM", "Pool"],
"5PM" : [5, "PM", "Kitchen"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Shower"],
"8PM" : [8, "PM", "Lounge"],
"9PM" : [9, "PM", "Pool"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "MLaptop"],
"12AM" : [12, "AM", "MBedroom"]
},
"8S" : {
"Times" : ["7AM", "8AM", "9AM", "9AM-Wknd Laptop", "9AM-Wknd", "10AM", "10AM-Wknd", "11AM", "11AM-Wknd", "12PM", "12PM Laptop", "12PM-Wknd", "1PM", "1PM-Wknd", "2PM", "3PM", "4PM", "5PM Bedroom", "6PM", "7PM", "8PM", "9PM Pool", "9PM", "10PM", "11PM", "11PM Laptop", "12AM"],
"7AM" : [7, "AM", "Toilet"],
"8AM" : [8, "AM", "Shower"],
"9AM" : [9, "AM", "SBedroom"],
"9AM-Wknd Laptop" : [9, "AM", "SLaptop"],
"9AM-Wknd" : [9, "AM", "SBedroom"],
"10AM" : [10, "AM", "SBedroom"],
"10AM-Wknd" : [10, "AM", "SBedroom"],
"11AM" : [11, "AM", "SBedroom"],
"11AM-Wknd" : [11, "AM", "Kitchen"],
"12PM" : [12, "PM", "SBedroom"],
"12PM Laptop" : [12, "PM", "SLaptop"],
"12PM-Wknd" : [12, "PM", "Lounge"],
"1PM" : [1, "PM", "MBedroom"],
"1PM-Wknd" : [1, "PM", "Lounge"],
"2PM" : [2, "PM", "Outside"],
"3PM" : [3, "PM", "Pool"],
"4PM" : [4, "PM", "Outside"],
"5PM Bedroom" : [5, "PM", "SBedroom"],
"6PM" : [6, "PM", "Lounge"],
"7PM" : [7, "PM", "Kitchen"],
"8PM" : [8, "PM", "Shower"],
"9PM Pool" : [9, "PM", "Pool"],
"9PM" : [9, "PM", "Lounge"],
"10PM" : [10, "PM", "MBedroom"],
"11PM" : [11, "PM", "SBedroom"],
"11PM Laptop" : [11, "PM", "SLaptop"],
"12AM" : [12, "AM", "SBedroom"]
},
"9M": {"Times" : []},
"9S": {"Times" : []}
}

default GalleryCamsUnlocked = {}

default GallerySms = []

init -1 python:
    import math

    def initUnlockGalleriesC():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Claire.Relationship):
            for i in GalleryEvents[str(l) + "C"]["Times"]:
                GalleryEventsUnlocked[str(l) + "C"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "C" + t] = True

    def initUnlockGalleriesJ():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Jane.Relationship):
            for i in GalleryEvents[str(l) + "J"]["Times"]:
                GalleryEventsUnlocked[str(l) + "J"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "J" + t] = True

    def initUnlockGalleriesKE():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Kelly.Relationship):
            for i in GalleryEvents[str(l) + "KE"]["Times"]:
                GalleryEventsUnlocked[str(l) + "KE"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "KE" + t] = True

    def initUnlockGalleriesT():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Maya.Relationship):
            for i in GalleryEvents[str(l) + "T"]["Times"]:
                GalleryEventsUnlocked[str(l) + "T"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "T" + t] = True

    def initUnlockGalleriesEV():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Eve.Relationship):
            for i in GalleryEvents[str(l) + "EV"]["Times"]:
                GalleryEventsUnlocked[str(l) + "EV"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "EV" + t] = True

    def initUnlockGalleriesDO():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Donna.Relationship):
            for i in GalleryEvents[str(l) + "DO"]["Times"]:
                GalleryEventsUnlocked[str(l) + "DO"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "DO" + t] = True

    def initUnlockGalleriesLA():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Laura.Relationship):
            for i in GalleryEvents[str(l) + "LA"]["Times"]:
                GalleryEventsUnlocked[str(l) + "LA"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "LA" + t] = True

    def initUnlockGalleriesSI():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Sidney.Relationship):
            for i in GalleryEvents[str(l) + "SI"]["Times"]:
                GalleryEventsUnlocked[str(l) + "SI"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "SI" + t] = True

    def initUnlockGalleriesLU():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Lucy.Relationship):
            for i in GalleryEvents[str(l) + "LU"]["Times"]:
                GalleryEventsUnlocked[str(l) + "LU"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "LU" + t] = True

    def initUnlockGalleriesG():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Suzie.Relationship):
            for i in GalleryEvents[str(l) + "G"]["Times"]:
                GalleryEventsUnlocked[str(l) + "G"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "G" + t] = True

    def initUnlockGalleriesHA():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Hazel.Relationship):
            for i in GalleryEvents[str(l) + "HA"]["Times"]:
                GalleryEventsUnlocked[str(l) + "HA"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "HA" + t] = True

    def initUnlockGalleries():
        global GalleryEventsUnlocked
        global GalleryTextsUnlocked
        global GalleryCamsUnlocked
        global GalleryEvents
        global GalleryTexts
        global GalleryCams

        initGallery()
        for l in range(1, Sarah.Relationship):
            for i in GalleryEvents[str(l) + "M"]["Times"]:
                GalleryEventsUnlocked[str(l) + "M"][i] = True
            for i in GalleryEvents[str(l) + "S"]["Times"]:
                GalleryEventsUnlocked[str(l) + "S"][i] = True
            for t in GalleryTexts["Times"]:
                    GalleryTextsUnlocked[str(l) + "M" + t] = True
                    GalleryTextsUnlocked[str(l) + "S" + t] = True
            for i in GalleryCams[str(l) + "M"]["Times"]:
                GalleryCamsUnlocked[str(l) + i + GalleryCams[str(l) + "M"][i][2]] = True
            for i in GalleryCams[str(l) + "S"]["Times"]:
                GalleryCamsUnlocked[str(l) + i + GalleryCams[str(l) + "S"][i][2]] = True

    def initGallery():
        global GalleryEventsUnlocked

        for i in range(1, Sarah.Relationship + 1):
            for n in ["M", "S"]:
                if str(i) + n not in GalleryEventsUnlocked:
                    GalleryEventsUnlocked[str(i) + n] = {}
        for i in range(1, Claire.Relationship + 1):
            if str(i) + "C" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "C"] = {}
        for i in range(1, Jane.Relationship + 1):
            if str(i) + "J" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "J"] = {}
        for i in range(1, Maya.Relationship + 1):
            if str(i) + "T" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "T"] = {}
        for i in range(1, Rose.Relationship + 1):
            if str(i) + "RO" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "RO"] = {}
        for i in range(1, Donna.Relationship + 1):
            if str(i) + "DO" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "DO"] = {}
        for i in range(1, Sidney.Relationship + 1):
            if str(i) + "SI" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "SI"] = {}
        for i in range(1, Laura.Relationship + 1):
            if str(i) + "LA" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "LA"] = {}
        for i in range(1, Kelly.Relationship + 1):
            if str(i) + "KE" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "KE"] = {}
        for i in range(1, Lucy.Relationship + 1):
            if str(i) + "LU" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "LU"] = {}
        for i in range(1, Suzie.Relationship + 1):
            if str(i) + "G" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "G"] = {}
        for i in range(1, Hazel.Relationship + 1):
            if str(i) + "HA" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "HA"] = {}
        for i in range(1, Eve.Relationship + 1):
            if str(i) + "EV" not in GalleryEventsUnlocked:
                GalleryEventsUnlocked[str(i) + "EV"] = {}
